GNU bug report logs - #12988
isearch fails to persistently indicate case sensitivity

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Kelly Dean <kellydeanch@HIDDEN>; dated Sun, 25 Nov 2012 02:08:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 1 Dec 2012 16:40:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 01 11:40:45 2012
Received: from localhost ([127.0.0.1]:48708 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Teq7Q-0005r1-RP
	for submit <at> debbugs.gnu.org; Sat, 01 Dec 2012 11:40:45 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:41884)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1Teq7O-0005qt-8A
	for 12988 <at> debbugs.gnu.org; Sat, 01 Dec 2012 11:40:43 -0500
Received: from ucsinet21.oracle.com (ucsinet21.oracle.com [156.151.31.93])
	by userp1040.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id qB1GcSep011744
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Sat, 1 Dec 2012 16:38:29 GMT
Received: from acsmt358.oracle.com (acsmt358.oracle.com [141.146.40.158])
	by ucsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	qB1GcS7J017465
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Sat, 1 Dec 2012 16:38:28 GMT
Received: from abhmt107.oracle.com (abhmt107.oracle.com [141.146.116.59])
	by acsmt358.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	qB1GcRlV023217; Sat, 1 Dec 2012 10:38:27 -0600
Received: from dradamslap1 (/71.202.147.44)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Sat, 01 Dec 2012 08:38:27 -0800
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Jambunathan K'" <kjambunathan@HIDDEN>
References: <1353809123.37107.YahooMailClassic@HIDDEN><87ip8u6m77.fsf@HIDDEN><0DE2FE5504D24DB884020513B403F9C4@HIDDEN><871ufdiaup.fsf@HIDDEN><4EF04423864F4A009C7B1CFAE5C53AD5@HIDDEN><87ehjc3q1j.fsf@HIDDEN><94CE113EBBE742F68D103EE3FC4E6541@HIDDEN><878v9jzxf1.fsf@HIDDEN>
	<83hao7v6re.fsf@HIDDEN><8738zrsd2b.fsf@HIDDEN>
	<jwvk3t3yyez.fsf-monnier+emacs@HIDDEN><87pq2v9c1f.fsf@HIDDEN><jwv38zquc3k.fsf-monnier+emacs@HIDDEN><87k3t27u4r.fsf@HIDDEN><jwvy5hirgx6.fsf-monnier+emacs@HIDDEN><1CFE3A72141A479CA0942CCFFEB433B0@HIDDEN><87fw3q71h9.fsf@HIDDEN>
	<87pq2uqnnt.fsf@HIDDEN><4FC3FAD939BC4F9693F765611681D403@HIDDEN>
	<87pq2unqmt.fsf@HIDDEN>
Subject: RE: bug#12988: [PATCH] RE: bug#12988: isearch fails to
	persistentlyindicate case sensitivity
Date: Sat, 1 Dec 2012 08:38:20 -0800
Message-ID: <5DF7CF06569E4F599AF23E59A9AFF871@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <87pq2unqmt.fsf@HIDDEN>
Thread-Index: Ac3PmlaxqOViWaKERqSRcVfRrG54/AAQ/7pw
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: ucsinet21.oracle.com [156.151.31.93]
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 12988
Cc: 'Chong Yidong' <cyd@HIDDEN>, kellydeanch@HIDDEN, 12988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

> It can go wherever.
> 
> But key thing is there is this switchboard with a bunch of 
> switches one for kitchen, one for hall etc. Then you walk
> to each of them and toggle them.
> 
> So there are basically two commands - one to walk to next 
> switch and one to toggle it.  Switch themselves report whether
> they are ON/OFF and IN-FOCUS/OUT-OF-FOCUS.  Choice of switches
> themselves become immaterial.
> 
> If one wants a new control then all one has to think about is what
> character or glyph it will take and add it to the switchboard.

Yes, I understood that.  I think it's a very good idea.
I also think the prompt is the best place for it.

Highlighting the current switches in some way is important to the usability of
it, I think.

It's perhaps worth pointing out that this can also obviate the use of the prompt
prefix "Regexp".  And if we included other state indicators, such as
wrap/overwrap, it would obviate using their more verbose prompt indicators as
well.

That does not mean that we should remove the more verbose prompt hints - only
that we could.  Best would be to let users optionally remove/add the redundant
more-verbose indicators (and optionally remove/add the new feature).

FWIW, in Isearch+ I highlight the prompt hints "Regexp", "Wrapped", and
"overwrapped", and I highlight the `Isearch' mode-line lighter using the same
face as each of those prompt qualifiers.

I mention that only to say that I think such a cue helps a user recognize the
state change - in particular wrt wrapping.  (Have you ever continued searching a
few times after overwrapping without meaning to, because you did not immediately
notice the "overwrapped" hint?)

With such state indicators abbreviated a la your suggestion, highlighting the
appropriate state chars would be quite helpful, IMO.

Such a highlight lets a user notice the state change without requiring that s?he
actually look at the state indicator.  IOW, it's an easy-to-perceive cue.

But such highlighting too should be customizable by users, of course.  At least
by customizing their faces (including to `default', to selectively turn it off).





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 1 Dec 2012 08:05:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 01 03:05:36 2012
Received: from localhost ([127.0.0.1]:47899 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tei4u-0001Pw-AH
	for submit <at> debbugs.gnu.org; Sat, 01 Dec 2012 03:05:36 -0500
Received: from mail-da0-f44.google.com ([209.85.210.44]:59747)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <kjambunathan@HIDDEN>) id 1Tei4r-0001Pm-4R
	for 12988 <at> debbugs.gnu.org; Sat, 01 Dec 2012 03:05:34 -0500
Received: by mail-da0-f44.google.com with SMTP id z20so510810dae.3
	for <12988 <at> debbugs.gnu.org>; Sat, 01 Dec 2012 00:03:22 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=from:to:cc:subject:references:date:in-reply-to:message-id
	:user-agent:mime-version:content-type;
	bh=Mk8SLaPOwDdXw02yR1XOA3RqS5kocg4JTepNrcH1D3Y=;
	b=diM7ywbcQUIE0FRO88V80MQAORfLaYPqTTFHmNWuJRXcdz+B2tCyQE3n+3H71Xgkg5
	OVwd+EA0vlC/RHe1Z2QKuNFThMbLvaHFvpNo8Pf2qMaZjdKWhISoPQthrCy5pDnBlfnp
	uqcqT1REWD2ucyMn/+WEtICXC8xwnsGk099AbLVfjYY0v2wNlmPy7rk4ppMrZrBcdc9D
	C8l/9O7a4JcsRf7jqNa4C5HwMwP0SioS3F5j68o7RyR0Gtf5n8Uzsd1bfDnEtdfDg9Mo
	HBDu2MjKOeikfdeTn7bd+EqB00XRvo86GCvZ5bEQzwUgkCxeLIJBKHqHQIoEu2lSfDUF
	brnA==
Received: by 10.66.79.194 with SMTP id l2mr9719403pax.68.1354349001367;
	Sat, 01 Dec 2012 00:03:21 -0800 (PST)
Received: from debian-6.05 ([101.63.147.191])
	by mx.google.com with ESMTPS id m7sm4314095paz.3.2012.12.01.00.03.17
	(version=TLSv1/SSLv3 cipher=OTHER);
	Sat, 01 Dec 2012 00:03:20 -0800 (PST)
From: Jambunathan K <kjambunathan@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: bug#12988: [PATCH] RE: bug#12988: isearch fails to
	persistentlyindicate case sensitivity
References: <1353809123.37107.YahooMailClassic@HIDDEN>
	<87ip8u6m77.fsf@HIDDEN>
	<0DE2FE5504D24DB884020513B403F9C4@HIDDEN>
	<871ufdiaup.fsf@HIDDEN>
	<4EF04423864F4A009C7B1CFAE5C53AD5@HIDDEN>
	<87ehjc3q1j.fsf@HIDDEN>
	<94CE113EBBE742F68D103EE3FC4E6541@HIDDEN>
	<878v9jzxf1.fsf@HIDDEN> <83hao7v6re.fsf@HIDDEN>
	<8738zrsd2b.fsf@HIDDEN> <jwvk3t3yyez.fsf-monnier+emacs@HIDDEN>
	<87pq2v9c1f.fsf@HIDDEN>
	<jwv38zquc3k.fsf-monnier+emacs@HIDDEN>
	<87k3t27u4r.fsf@HIDDEN>
	<jwvy5hirgx6.fsf-monnier+emacs@HIDDEN>
	<1CFE3A72141A479CA0942CCFFEB433B0@HIDDEN>
	<87fw3q71h9.fsf@HIDDEN> <87pq2uqnnt.fsf@HIDDEN>
	<4FC3FAD939BC4F9693F765611681D403@HIDDEN>
Date: Sat, 01 Dec 2012 13:36:02 +0530
In-Reply-To: <4FC3FAD939BC4F9693F765611681D403@HIDDEN> (Drew Adams's
	message of "Fri, 30 Nov 2012 23:01:01 -0800")
Message-ID: <87pq2unqmt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 12988
Cc: 'Chong Yidong' <cyd@HIDDEN>, kellydeanch@HIDDEN, 12988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

"Drew Adams" <drew.adams@HIDDEN> writes:

>>     Isearch( *Aw_):
>> 
>> Have a fixed width string like that.  Characters/Glyphs in the bracket
>> are basically all possible indicators or controls.  If a character is
>> on, highlight that on.  There is also some control on where the space
>> character goes.
>> 
>> One can even cycle through the glyphs and turn those switches 
>> on/off one by one.
>
> That's another interesting idea.  (Given the colon, I suppose you are talking
> about using this in the prompt instead of the mode-line lighter.)

It can go wherever.

But key thing is there is this switchboard with a bunch of switches one
for kitchen, one for hall etc. Then you walk to each of them and toggle
them.

So there are basically two commands - one to walk to next switch and one
to toggle it.  Switch themselves report whether they are ON/OFF and
IN-FOCUS/OUT-OF-FOCUS.  Choice of switches themselves become immaterial.

If one wants a new control then all one has to think about is what
character or glyph it will take and add it to the switchboard.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 1 Dec 2012 07:03:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 01 02:03:23 2012
Received: from localhost ([127.0.0.1]:47856 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Teh6g-0008QZ-Hc
	for submit <at> debbugs.gnu.org; Sat, 01 Dec 2012 02:03:23 -0500
Received: from aserp1040.oracle.com ([141.146.126.69]:23710)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1Teh6d-0008QR-41
	for 12988 <at> debbugs.gnu.org; Sat, 01 Dec 2012 02:03:20 -0500
Received: from ucsinet21.oracle.com (ucsinet21.oracle.com [156.151.31.93])
	by aserp1040.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id qB1717u3009089
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Sat, 1 Dec 2012 07:01:08 GMT
Received: from acsmt356.oracle.com (acsmt356.oracle.com [141.146.40.156])
	by ucsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	qB1717xa008449
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Sat, 1 Dec 2012 07:01:07 GMT
Received: from abhmt106.oracle.com (abhmt106.oracle.com [141.146.116.58])
	by acsmt356.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	qB1716NC028607; Sat, 1 Dec 2012 01:01:06 -0600
Received: from dradamslap1 (/71.202.147.44)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Fri, 30 Nov 2012 23:01:06 -0800
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Jambunathan K'" <kjambunathan@HIDDEN>, "'Chong Yidong'" <cyd@HIDDEN>
References: <1353809123.37107.YahooMailClassic@HIDDEN><87ip8u6m77.fsf@HIDDEN><0DE2FE5504D24DB884020513B403F9C4@HIDDEN><871ufdiaup.fsf@HIDDEN><4EF04423864F4A009C7B1CFAE5C53AD5@HIDDEN><87ehjc3q1j.fsf@HIDDEN><94CE113EBBE742F68D103EE3FC4E6541@HIDDEN><878v9jzxf1.fsf@HIDDEN>
	<83hao7v6re.fsf@HIDDEN><8738zrsd2b.fsf@HIDDEN>
	<jwvk3t3yyez.fsf-monnier+emacs@HIDDEN><87pq2v9c1f.fsf@HIDDEN><jwv38zquc3k.fsf-monnier+emacs@HIDDEN><87k3t27u4r.fsf@HIDDEN><jwvy5hirgx6.fsf-monnier+emacs@HIDDEN><1CFE3A72141A479CA0942CCFFEB433B0@HIDDEN><87fw3q71h9.fsf@HIDDEN>
	<87pq2uqnnt.fsf@HIDDEN>
Subject: RE: bug#12988: [PATCH] RE: bug#12988: isearch fails to
	persistentlyindicate case sensitivity
Date: Fri, 30 Nov 2012 23:01:01 -0800
Message-ID: <4FC3FAD939BC4F9693F765611681D403@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <87pq2uqnnt.fsf@HIDDEN>
Thread-Index: Ac3PjpejAZtLyDWYRzaKZcsYu/VynwAAsmuw
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: ucsinet21.oracle.com [156.151.31.93]
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 12988
Cc: kellydeanch@HIDDEN, 12988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

>     Isearch( *Aw_):
> 
> Have a fixed width string like that.  Characters/Glyphs in the bracket
> are basically all possible indicators or controls.  If a character is
> on, highlight that on.  There is also some control on where the space
> character goes.
> 
> One can even cycle through the glyphs and turn those switches 
> on/off one by one.

That's another interesting idea.  (Given the colon, I suppose you are talking
about using this in the prompt instead of the mode-line lighter.)





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 1 Dec 2012 06:41:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 01 01:41:33 2012
Received: from localhost ([127.0.0.1]:47847 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TeglY-0007wA-Ng
	for submit <at> debbugs.gnu.org; Sat, 01 Dec 2012 01:41:33 -0500
Received: from mail-pb0-f44.google.com ([209.85.160.44]:47412)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <kjambunathan@HIDDEN>) id 1TeglV-0007w1-AW
	for 12988 <at> debbugs.gnu.org; Sat, 01 Dec 2012 01:41:30 -0500
Received: by mail-pb0-f44.google.com with SMTP id uo1so868968pbc.3
	for <12988 <at> debbugs.gnu.org>; Fri, 30 Nov 2012 22:39:19 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=from:to:cc:subject:references:date:in-reply-to:message-id
	:user-agent:mime-version:content-type;
	bh=nWNcqVHWz7tjEVto5rNyUW7/SmqwxrtIa7eJB8Zf6hE=;
	b=Aty24mtV4ABgg2RlCy6p3fXDhBucvB3nE5vlI3jJjTeEpAc3cFV013TW72GP1WY1Pk
	1CyYSkoBZGXc1A4v6d1jiBFc6Z1Jw3lMsH6PfKldvxzQjn1iXbFrmXN83wZGlZWZrilY
	9MIsQXLOWd4Okfz1VogDl5FKjswQmLErnW5Gfm7SZWJ5PhEYDst/ppFNwh8DZa0oTJ6Y
	j7LGEti8eDSEG5MTq3JBGYyOO1ziJxO8COnlhXb9m3mgTzKUoxG+mDnfQxE6rJpGAJ0U
	KNYFDDYyJpgNm81ZfMuzsEVu+7t8sD9shvtc8Q4Nd7y5AH564xZLB444ysT7OJJ2XlYJ
	YeIg==
Received: by 10.68.243.70 with SMTP id ww6mr12114859pbc.108.1354343958173;
	Fri, 30 Nov 2012 22:39:18 -0800 (PST)
Received: from debian-6.05 ([115.241.9.40])
	by mx.google.com with ESMTPS id ot3sm4293325pbb.38.2012.11.30.22.39.14
	(version=TLSv1/SSLv3 cipher=OTHER);
	Fri, 30 Nov 2012 22:39:17 -0800 (PST)
From: Jambunathan K <kjambunathan@HIDDEN>
To: Chong Yidong <cyd@HIDDEN>
Subject: Re: bug#12988: [PATCH] RE: bug#12988: isearch fails to
	persistentlyindicate case sensitivity
References: <1353809123.37107.YahooMailClassic@HIDDEN>
	<87ip8u6m77.fsf@HIDDEN>
	<0DE2FE5504D24DB884020513B403F9C4@HIDDEN>
	<871ufdiaup.fsf@HIDDEN>
	<4EF04423864F4A009C7B1CFAE5C53AD5@HIDDEN>
	<87ehjc3q1j.fsf@HIDDEN>
	<94CE113EBBE742F68D103EE3FC4E6541@HIDDEN>
	<878v9jzxf1.fsf@HIDDEN> <83hao7v6re.fsf@HIDDEN>
	<8738zrsd2b.fsf@HIDDEN> <jwvk3t3yyez.fsf-monnier+emacs@HIDDEN>
	<87pq2v9c1f.fsf@HIDDEN>
	<jwv38zquc3k.fsf-monnier+emacs@HIDDEN>
	<87k3t27u4r.fsf@HIDDEN>
	<jwvy5hirgx6.fsf-monnier+emacs@HIDDEN>
	<1CFE3A72141A479CA0942CCFFEB433B0@HIDDEN>
	<87fw3q71h9.fsf@HIDDEN>
Date: Sat, 01 Dec 2012 12:11:58 +0530
In-Reply-To: <87fw3q71h9.fsf@HIDDEN> (Chong Yidong's message of "Sat, 01 Dec
	2012 14:03:46 +0800")
Message-ID: <87pq2uqnnt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 12988
Cc: kellydeanch@HIDDEN, 12988 <at> debbugs.gnu.org,
	Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Chong Yidong <cyd@HIDDEN> writes:

> "Drew Adams" <drew.adams@HIDDEN> writes:
>
>> The slash is useless anyway.  Why not consider the proposals discussed
>> earlier in the thread (repeated below)?
>>
>>  I search   - lax whitespace
>>  I*search   - regexp
>>  I* search  - lax ws & regexp
>>  Isearchw   - word
>>  Isearch_   - symbol
>>  I searchw  - word & lax ws
>>  I search_  - symbol & lax ws
>
> Because these look terrible.

Drew's idea is nice.

    Isearch( *Aw_):

Have a fixed width string like that.  Characters/Glyphs in the bracket
are basically all possible indicators or controls.  If a character is
on, highlight that on.  There is also some control on where the space
character goes.

One can even cycle through the glyphs and turn those switches on/off one
by one.
-- 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 1 Dec 2012 06:06:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 01 01:06:03 2012
Received: from localhost ([127.0.0.1]:47832 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TegDD-00074x-5R
	for submit <at> debbugs.gnu.org; Sat, 01 Dec 2012 01:06:03 -0500
Received: from mail-pb0-f44.google.com ([209.85.160.44]:32949)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <seewhydee@HIDDEN>) id 1TegDA-00074Y-OH
	for 12988 <at> debbugs.gnu.org; Sat, 01 Dec 2012 01:06:01 -0500
Received: by mail-pb0-f44.google.com with SMTP id uo1so856732pbc.3
	for <12988 <at> debbugs.gnu.org>; Fri, 30 Nov 2012 22:03:50 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
	:user-agent:mime-version:content-type;
	bh=o2BspbEShFhFC32oEM8NKsLZsJL9IXa0W7ubow8i0uI=;
	b=u4/CjdcSYt70nlQ2GsffVhXpYteYE5AO3zKkDRF3eJ1lkHH/ArEyTe0MxZBF2ik5IS
	pw2/JHAa8uXXs5YheKM/qCRCCyaWqd9ScUJ916NqqP1uKZiIwRAqh2xT4CHu1NQQ2dr3
	EOHisfe8xl5fMXI/xRcuOeghOTfY07mjLZx+OAaHiA3lagfRX7h6ATCc0zze8hXI8CpW
	b5p2WN9EQmmmYxcQB/wQxro8RvgbMie5uDOHGDjTMLNXJRshtKQvGEh7sCkNQMpscSpV
	FD0lC4f32T5qnl5lnSRg9MwNVcg62rEKyE46rDuioZmpLm33PAyxDpEqPG8ZRx/FX16w
	rPRw==
Received: by 10.68.209.170 with SMTP id mn10mr12136643pbc.11.1354341830552;
	Fri, 30 Nov 2012 22:03:50 -0800 (PST)
Received: from ulysses (cm198.gamma83.maxonline.com.sg. [202.156.83.198])
	by mx.google.com with ESMTPS id mt15sm4242098pbc.49.2012.11.30.22.03.48
	(version=SSLv3 cipher=OTHER); Fri, 30 Nov 2012 22:03:49 -0800 (PST)
From: Chong Yidong <cyd@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: bug#12988: [PATCH] RE: bug#12988: isearch fails to
	persistentlyindicate case sensitivity
References: <1353809123.37107.YahooMailClassic@HIDDEN>
	<87ip8u6m77.fsf@HIDDEN>
	<0DE2FE5504D24DB884020513B403F9C4@HIDDEN>
	<871ufdiaup.fsf@HIDDEN>
	<4EF04423864F4A009C7B1CFAE5C53AD5@HIDDEN>
	<87ehjc3q1j.fsf@HIDDEN>
	<94CE113EBBE742F68D103EE3FC4E6541@HIDDEN>
	<878v9jzxf1.fsf@HIDDEN> <83hao7v6re.fsf@HIDDEN>
	<8738zrsd2b.fsf@HIDDEN> <jwvk3t3yyez.fsf-monnier+emacs@HIDDEN>
	<87pq2v9c1f.fsf@HIDDEN>
	<jwv38zquc3k.fsf-monnier+emacs@HIDDEN>
	<87k3t27u4r.fsf@HIDDEN>
	<jwvy5hirgx6.fsf-monnier+emacs@HIDDEN>
	<1CFE3A72141A479CA0942CCFFEB433B0@HIDDEN>
Date: Sat, 01 Dec 2012 14:03:46 +0800
In-Reply-To: <1CFE3A72141A479CA0942CCFFEB433B0@HIDDEN> (Drew Adams's
	message of "Fri, 30 Nov 2012 13:35:53 -0800")
Message-ID: <87fw3q71h9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 12988
Cc: 'Juri Linkov' <juri@HIDDEN>, kellydeanch@HIDDEN,
	'Stefan Monnier' <monnier@HIDDEN>, 12988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

"Drew Adams" <drew.adams@HIDDEN> writes:

> The slash is useless anyway.  Why not consider the proposals discussed
> earlier in the thread (repeated below)?
>
>  I search   - lax whitespace
>  I*search   - regexp
>  I* search  - lax ws & regexp
>  Isearchw   - word
>  Isearch_   - symbol
>  I searchw  - word & lax ws
>  I search_  - symbol & lax ws

Because these look terrible.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 30 Nov 2012 21:38:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 30 16:38:10 2012
Received: from localhost ([127.0.0.1]:47524 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TeYHi-0008VA-7S
	for submit <at> debbugs.gnu.org; Fri, 30 Nov 2012 16:38:10 -0500
Received: from aserp1040.oracle.com ([141.146.126.69]:45577)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1TeYHf-0008V1-Kl
	for 12988 <at> debbugs.gnu.org; Fri, 30 Nov 2012 16:38:08 -0500
Received: from acsinet22.oracle.com (acsinet22.oracle.com [141.146.126.238])
	by aserp1040.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id qAULZwlR031139
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Fri, 30 Nov 2012 21:35:59 GMT
Received: from acsmt357.oracle.com (acsmt357.oracle.com [141.146.40.157])
	by acsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	qAULZwAm021800
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Fri, 30 Nov 2012 21:35:58 GMT
Received: from abhmt118.oracle.com (abhmt118.oracle.com [141.146.116.70])
	by acsmt357.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	qAULZvYv028148; Fri, 30 Nov 2012 15:35:57 -0600
Received: from dradamslap1 (/10.159.169.89)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Fri, 30 Nov 2012 13:35:57 -0800
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Stefan Monnier'" <monnier@HIDDEN>,
	"'Juri Linkov'" <juri@HIDDEN>
References: <1353809123.37107.YahooMailClassic@HIDDEN><87ip8u6m77.fsf@HIDDEN><0DE2FE5504D24DB884020513B403F9C4@HIDDEN><871ufdiaup.fsf@HIDDEN><4EF04423864F4A009C7B1CFAE5C53AD5@HIDDEN><87ehjc3q1j.fsf@HIDDEN><94CE113EBBE742F68D103EE3FC4E6541@HIDDEN><878v9jzxf1.fsf@HIDDEN>
	<83hao7v6re.fsf@HIDDEN><8738zrsd2b.fsf@HIDDEN>
	<jwvk3t3yyez.fsf-monnier+emacs@HIDDEN><87pq2v9c1f.fsf@HIDDEN>
	<jwv38zquc3k.fsf-monnier+emacs@HIDDEN><87k3t27u4r.fsf@HIDDEN>
	<jwvy5hirgx6.fsf-monnier+emacs@HIDDEN>
Subject: RE: bug#12988: [PATCH] RE: bug#12988: isearch fails to
	persistentlyindicate case sensitivity
Date: Fri, 30 Nov 2012 13:35:53 -0800
Message-ID: <1CFE3A72141A479CA0942CCFFEB433B0@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <jwvy5hirgx6.fsf-monnier+emacs@HIDDEN>
Thread-Index: Ac3PNtCw9mcml8g3SwyLZ1gucOLqBAACNxfg
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: acsinet22.oracle.com [141.146.126.238]
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 12988
Cc: 'Chong Yidong' <cyd@HIDDEN>, kellydeanch@HIDDEN, 12988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

> "Isearch/_" doesn't sound too bad, but indeed "Isearch/ " wouldn't
> work well.

The slash is useless anyway.  Why not consider the proposals discussed earlier
in the thread (repeated below)?  "I search" works fine, especially if the " " is
highlighted (the complete lighter also has a mouseover highlight).

 ISEARCH    - case-insensitive
 Isearch    - case-sensitive

Case-sensitive examples:

 I search   - lax whitespace
 I*search   - regexp
 I* search  - lax ws & regexp
 Isearchw   - word
 Isearch_   - symbol
 I searchw  - word & lax ws
 I search_  - symbol & lax ws

Case-insensitive is similar, with SEARCH instead of search.  E.g.,

 I* SEARCH  - lax ws & regexp

And each of the chars SPC _ w * could be highlighted, for increased clarity.

This convention uses a maximum of 2 more characters than what we use now, and it
covers everything discussed so far.

The notation used should be short.  It should be noticeable and recognizable for
someone who is familiar with the notation.

Less important is to have something that also suggests its meaning.  Why is that
less important?  Because once you learn the meaning, the suggestion is not
needed anymore, except as a reminder.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 30 Nov 2012 20:12:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 30 15:12:45 2012
Received: from localhost ([127.0.0.1]:47462 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TeWx3-0006FN-6L
	for submit <at> debbugs.gnu.org; Fri, 30 Nov 2012 15:12:45 -0500
Received: from relais.videotron.ca ([24.201.245.36]:45233)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1TeWx2-0006FH-1M
	for 12988 <at> debbugs.gnu.org; Fri, 30 Nov 2012 15:12:44 -0500
MIME-version: 1.0
Content-transfer-encoding: 7BIT
Content-type: text/plain; CHARSET=US-ASCII
Received: from ceviche.home ([24.201.208.110]) by VL-VM-MR001.ip.videotron.ca
	(Oracle Communications Messaging Exchange Server 7u4-22.01 64bit
	(built Apr 21
	2011)) with ESMTP id <0MEB00JFTHDOFD20@HIDDEN> for
	12988 <at> debbugs.gnu.org; Fri, 30 Nov 2012 15:10:36 -0500 (EST)
Received: by ceviche.home (Postfix, from userid 20848)	id 9E90466109; Fri,
	30 Nov 2012 15:10:36 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#12988: [PATCH] RE: bug#12988: isearch fails to persistently
	indicate case sensitivity
Message-id: <jwvy5hirgx6.fsf-monnier+emacs@HIDDEN>
References: <1353809123.37107.YahooMailClassic@HIDDEN>
	<87ip8u6m77.fsf@HIDDEN>
	<0DE2FE5504D24DB884020513B403F9C4@HIDDEN>
	<871ufdiaup.fsf@HIDDEN>
	<4EF04423864F4A009C7B1CFAE5C53AD5@HIDDEN>
	<87ehjc3q1j.fsf@HIDDEN>
	<94CE113EBBE742F68D103EE3FC4E6541@HIDDEN>
	<878v9jzxf1.fsf@HIDDEN> <83hao7v6re.fsf@HIDDEN>
	<8738zrsd2b.fsf@HIDDEN> <jwvk3t3yyez.fsf-monnier+emacs@HIDDEN>
	<87pq2v9c1f.fsf@HIDDEN> <jwv38zquc3k.fsf-monnier+emacs@HIDDEN>
	<87k3t27u4r.fsf@HIDDEN>
Date: Fri, 30 Nov 2012 15:10:36 -0500
In-reply-to: <87k3t27u4r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
X-Spam-Score: 1.6 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview: >> Which non-alphanumeric keys are you thinking about?
	> For
	example, the space character `M-s SPC' that toggles lax-whitespace mode,
	> or the underscore character `M-s _' that toggles symbol mode. A
	prompt like > "Isearch/ /_" cannot be easily deciphered. [...] 
	Content analysis details:   (1.6 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	-0.0 RCVD_IN_DNSWL_NONE RBL: Sender listed at http://www.dnswl.org/,
	no trust [24.201.245.36 listed in list.dnswl.org]
	0.7 SPF_SOFTFAIL SPF: sender does not match SPF record (softfail)
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.4948]
	0.1 HDRS_LCASE             Odd capitalization of message header
	0.0 T_MANY_HDRS_LCASE Odd capitalization of multiple message headers
X-Debbugs-Envelope-To: 12988
Cc: Eli Zaretskii <eliz@HIDDEN>, Chong Yidong <cyd@HIDDEN>,
	kellydeanch@HIDDEN, 12988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.7 (/)

>> Which non-alphanumeric keys are you thinking about?
> For example, the space character `M-s SPC' that toggles lax-whitespace mode,
> or the underscore character `M-s _' that toggles symbol mode.  A prompt like
> "Isearch/ /_" cannot be easily deciphered.

"Isearch/_" doesn't sound too bad, but indeed "Isearch/ " wouldn't
work well.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 30 Nov 2012 19:48:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 30 14:48:09 2012
Received: from localhost ([127.0.0.1]:47444 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TeWZF-0005fR-Bb
	for submit <at> debbugs.gnu.org; Fri, 30 Nov 2012 14:48:09 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:40042
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1TeWZC-0005fI-PZ
	for 12988 <at> debbugs.gnu.org; Fri, 30 Nov 2012 14:48:08 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 93A4E451E17F;
	Fri, 30 Nov 2012 11:45:57 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#12988: [PATCH] RE: bug#12988: isearch fails to persistently
	indicate case sensitivity
Organization: JURTA
References: <1353809123.37107.YahooMailClassic@HIDDEN>
	<87ip8u6m77.fsf@HIDDEN>
	<0DE2FE5504D24DB884020513B403F9C4@HIDDEN>
	<871ufdiaup.fsf@HIDDEN>
	<4EF04423864F4A009C7B1CFAE5C53AD5@HIDDEN>
	<87ehjc3q1j.fsf@HIDDEN>
	<94CE113EBBE742F68D103EE3FC4E6541@HIDDEN>
	<878v9jzxf1.fsf@HIDDEN> <83hao7v6re.fsf@HIDDEN>
	<8738zrsd2b.fsf@HIDDEN> <jwvk3t3yyez.fsf-monnier+emacs@HIDDEN>
	<87pq2v9c1f.fsf@HIDDEN>
	<jwv38zquc3k.fsf-monnier+emacs@HIDDEN>
Date: Fri, 30 Nov 2012 21:44:52 +0200
In-Reply-To: <jwv38zquc3k.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
	of "Fri, 30 Nov 2012 14:26:35 -0500")
Message-ID: <87k3t27u4r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 12988
Cc: Eli Zaretskii <eliz@HIDDEN>, Chong Yidong <cyd@HIDDEN>,
	kellydeanch@HIDDEN, 12988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

>>>> I think that would be fine, though full strings (like "case",
>>>> "strict-space") might be better than cryptic acryonyms.
>>> In an earlier thread I suggested "Isearch/w/c" where the letters would
>>> match the keys used to enable/select those options.
>> The problem is that some of these keys are not alphanumeric,
>> thus not easily recognizable when displayed in the prompt.
>
> Which non-alphanumeric keys are you thinking about?

For example, the space character `M-s SPC' that toggles lax-whitespace mode,
or the underscore character `M-s _' that toggles symbol mode.  A prompt like
"Isearch/ /_" cannot be easily deciphered.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 30 Nov 2012 19:28:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 30 14:28:45 2012
Received: from localhost ([127.0.0.1]:47412 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TeWGS-0004Iy-EJ
	for submit <at> debbugs.gnu.org; Fri, 30 Nov 2012 14:28:44 -0500
Received: from relais.videotron.ca ([24.201.245.36]:35530)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1TeWGR-0004Is-6a
	for 12988 <at> debbugs.gnu.org; Fri, 30 Nov 2012 14:28:43 -0500
MIME-version: 1.0
Content-transfer-encoding: 7BIT
Content-type: text/plain; CHARSET=US-ASCII
Received: from ceviche.home ([24.201.208.110]) by VL-VM-MR005.ip.videotron.ca
	(Oracle Communications Messaging Exchange Server 7u4-22.01 64bit
	(built Apr 21
	2011)) with ESMTP id <0MEB00II1FCBPAZ0@HIDDEN> for
	12988 <at> debbugs.gnu.org; Fri, 30 Nov 2012 14:26:35 -0500 (EST)
Received: by ceviche.home (Postfix, from userid 20848)	id A40DD66109; Fri,
	30 Nov 2012 14:26:35 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#12988: [PATCH] RE: bug#12988: isearch fails to persistently
	indicate case sensitivity
Message-id: <jwv38zquc3k.fsf-monnier+emacs@HIDDEN>
References: <1353809123.37107.YahooMailClassic@HIDDEN>
	<87ip8u6m77.fsf@HIDDEN>
	<0DE2FE5504D24DB884020513B403F9C4@HIDDEN>
	<871ufdiaup.fsf@HIDDEN>
	<4EF04423864F4A009C7B1CFAE5C53AD5@HIDDEN>
	<87ehjc3q1j.fsf@HIDDEN>
	<94CE113EBBE742F68D103EE3FC4E6541@HIDDEN>
	<878v9jzxf1.fsf@HIDDEN> <83hao7v6re.fsf@HIDDEN>
	<8738zrsd2b.fsf@HIDDEN> <jwvk3t3yyez.fsf-monnier+emacs@HIDDEN>
	<87pq2v9c1f.fsf@HIDDEN>
Date: Fri, 30 Nov 2012 14:26:35 -0500
In-reply-to: <87pq2v9c1f.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
X-Spam-Score: 1.6 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview:  >>> I think that would be fine,
	though full strings (like "case",
	>>> "strict-space") might be better than cryptic acryonyms. >> In
	an earlier thread I suggested "Isearch/w/c" where the letters would >>
	match
	the keys used to enable/select those options. > The problem is that
	some of these keys are not alphanumeric,
	> thus not easily recognizable when displayed
	in the prompt. [...] 
	Content analysis details:   (1.6 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	-0.0 RCVD_IN_DNSWL_NONE RBL: Sender listed at http://www.dnswl.org/,
	no trust [24.201.245.36 listed in list.dnswl.org]
	0.7 SPF_SOFTFAIL SPF: sender does not match SPF record (softfail)
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
	0.1 HDRS_LCASE             Odd capitalization of message header
	0.0 T_MANY_HDRS_LCASE Odd capitalization of multiple message headers
X-Debbugs-Envelope-To: 12988
Cc: Eli Zaretskii <eliz@HIDDEN>, Chong Yidong <cyd@HIDDEN>,
	kellydeanch@HIDDEN, 12988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  >>> I think that would be fine, though full strings (like
   "case", >>> "strict-space") might be better than cryptic acryonyms. >> In
   an earlier thread I suggested "Isearch/w/c" where the letters would >> match
    the keys used to enable/select those options. > The problem is that some
   of these keys are not alphanumeric, > thus not easily recognizable when displayed
    in the prompt. [...] 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [24.201.245.36 listed in list.dnswl.org]
  0.7 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.4994]

>>> I think that would be fine, though full strings (like "case",
>>> "strict-space") might be better than cryptic acryonyms.
>> In an earlier thread I suggested "Isearch/w/c" where the letters would
>> match the keys used to enable/select those options.
> The problem is that some of these keys are not alphanumeric,
> thus not easily recognizable when displayed in the prompt.

Which non-alphanumeric keys are you thinking about?


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 30 Nov 2012 18:41:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 30 13:41:04 2012
Received: from localhost ([127.0.0.1]:47326 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TeVWJ-0003BV-Ow
	for submit <at> debbugs.gnu.org; Fri, 30 Nov 2012 13:41:03 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:58006
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1TeVWG-0003B6-Oh
	for 12988 <at> debbugs.gnu.org; Fri, 30 Nov 2012 13:41:01 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 62B28451C1DE;
	Fri, 30 Nov 2012 10:38:50 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#12988: [PATCH] RE: bug#12988: isearch fails to
	persistently	indicate case sensitivity
Organization: JURTA
References: <1353809123.37107.YahooMailClassic@HIDDEN>
	<87ip8u6m77.fsf@HIDDEN>
	<0DE2FE5504D24DB884020513B403F9C4@HIDDEN>
	<871ufdiaup.fsf@HIDDEN>
	<4EF04423864F4A009C7B1CFAE5C53AD5@HIDDEN>
	<87ehjc3q1j.fsf@HIDDEN>
	<94CE113EBBE742F68D103EE3FC4E6541@HIDDEN>
	<878v9jzxf1.fsf@HIDDEN> <83hao7v6re.fsf@HIDDEN>
	<8738zrsd2b.fsf@HIDDEN> <jwvk3t3yyez.fsf-monnier+emacs@HIDDEN>
Date: Fri, 30 Nov 2012 20:30:17 +0200
In-Reply-To: <jwvk3t3yyez.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
	of "Fri, 30 Nov 2012 09:19:11 -0500")
Message-ID: <87pq2v9c1f.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 12988
Cc: Eli Zaretskii <eliz@HIDDEN>, Chong Yidong <cyd@HIDDEN>,
	kellydeanch@HIDDEN, 12988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

>> I think that would be fine, though full strings (like "case",
>> "strict-space") might be better than cryptic acryonyms.
>
> In an earlier thread I suggested "Isearch/w/c" where the letters would
> match the keys used to enable/select those options.

The problem is that some of these keys are not alphanumeric,
thus not easily recognizable when displayed in the prompt.

>> Also, the default state should be associated with a blank indicator,
>> i.e. plain "Isearch".

Since the default prompt should be short plain "Isearch",
after adding longer non-cryptic indicators for non-default states,
the problem of the long prompt will occur less often,
especially after removing the failing/wrapped/pending messages.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 30 Nov 2012 16:57:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 30 11:57:29 2012
Received: from localhost ([127.0.0.1]:47212 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TeTu4-0000YL-HS
	for submit <at> debbugs.gnu.org; Fri, 30 Nov 2012 11:57:28 -0500
Received: from relais.videotron.ca ([24.201.245.36]:37488)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1TeTu2-0000YD-Cy
	for 12988 <at> debbugs.gnu.org; Fri, 30 Nov 2012 11:57:27 -0500
MIME-version: 1.0
Content-transfer-encoding: 7BIT
Content-type: text/plain; CHARSET=US-ASCII
Received: from ceviche.home ([24.201.208.110]) by VL-VM-MR005.ip.videotron.ca
	(Oracle Communications Messaging Exchange Server 7u4-22.01 64bit
	(built Apr 21
	2011)) with ESMTP id <0MEB00IVW8C7PAF0@HIDDEN> for
	12988 <at> debbugs.gnu.org; Fri, 30 Nov 2012 11:55:19 -0500 (EST)
Received: by ceviche.home (Postfix, from userid 20848)	id 28BD866109; Fri,
	30 Nov 2012 11:55:17 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Dani Moncayo <dmoncayo@HIDDEN>
Subject: Re: bug#12988: [PATCH] RE: bug#12988: isearch fails to persistently
	indicate case sensitivity
Message-id: <jwvlidjvxt8.fsf-monnier+emacs@HIDDEN>
References: <1353809123.37107.YahooMailClassic@HIDDEN>
	<87ip8u6m77.fsf@HIDDEN>
	<0DE2FE5504D24DB884020513B403F9C4@HIDDEN>
	<871ufdiaup.fsf@HIDDEN>
	<4EF04423864F4A009C7B1CFAE5C53AD5@HIDDEN>
	<87ehjc3q1j.fsf@HIDDEN>
	<94CE113EBBE742F68D103EE3FC4E6541@HIDDEN>
	<878v9jzxf1.fsf@HIDDEN> <83hao7v6re.fsf@HIDDEN>
	<8738zrsd2b.fsf@HIDDEN> <jwvk3t3yyez.fsf-monnier+emacs@HIDDEN>
	<CAH8Pv0gT=2jtEWnGakzAoLtWAE02fTqRgVVjw559ozBSuatEeQ@HIDDEN>
Date: Fri, 30 Nov 2012 11:55:17 -0500
In-reply-to: <CAH8Pv0gT=2jtEWnGakzAoLtWAE02fTqRgVVjw559ozBSuatEeQ@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
X-Spam-Score: 1.6 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview: > (It could be even shorter if you write only the
	first slash, 
	because > every single character on its right side would represent an
	individual
	> flag. E.g.: "Isearch/wc") Agreed. >>> I'd like to mention that a bad
	consequence
	of this approach is that >>> the prompt string would have a variable
	length, 
	so that the search >>> string would not be shown in a stable position,
	making
	harder for the >>> user to concentrate on it. >> We're talking about
	switches
	which usually are not changed during >> the search. > Yes, the ones that
	appear often during the search aer those related to > the status of the
	current search ("(over)wrapped", "failing", etc). [...] 
	Content analysis details:   (1.6 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	-0.0 RCVD_IN_DNSWL_NONE RBL: Sender listed at http://www.dnswl.org/,
	no trust [24.201.245.36 listed in list.dnswl.org]
	0.7 SPF_SOFTFAIL SPF: sender does not match SPF record (softfail)
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
	0.1 HDRS_LCASE             Odd capitalization of message header
	0.0 T_MANY_HDRS_LCASE Odd capitalization of multiple message headers
X-Debbugs-Envelope-To: 12988
Cc: Chong Yidong <cyd@HIDDEN>, kellydeanch@HIDDEN, 12988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > (It could be even shorter if you write only the first slash,
    because > every single character on its right side would represent an individual
    > flag. E.g.: "Isearch/wc") Agreed. >>> I'd like to mention that a bad consequence
    of this approach is that >>> the prompt string would have a variable length,
    so that the search >>> string would not be shown in a stable position, making
    harder for the >>> user to concentrate on it. >> We're talking about switches
    which usually are not changed during >> the search. > Yes, the ones that
   appear often during the search aer those related to > the status of the current
    search ("(over)wrapped", "failing", etc). [...] 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [24.201.245.36 listed in list.dnswl.org]
  0.7 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.4993]

> (It could be even shorter if you write only the first slash, because
> every single character on its right side would represent an individual
> flag.  E.g.: "Isearch/wc")

Agreed.

>>> I'd like to mention that a bad consequence of this approach is that
>>> the prompt string would have a variable length, so that the search
>>> string would not be shown in a stable position, making harder for the
>>> user to concentrate on it.
>> We're talking about switches which usually are not changed during
>> the search.
> Yes, the ones that appear often during the search aer those related to
> the status of the current search ("(over)wrapped", "failing", etc).

Indeed the failing/wrapped/pending messages are different and should not
cause the text to move.  But the display of search style
(case-sensitivity/regexp/word/lax/younameit) seems quite acceptable in
the prompt.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 30 Nov 2012 16:01:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 30 11:01:36 2012
Received: from localhost ([127.0.0.1]:47194 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TeT1z-0007l5-F8
	for submit <at> debbugs.gnu.org; Fri, 30 Nov 2012 11:01:35 -0500
Received: from mail-oa0-f44.google.com ([209.85.219.44]:55502)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dmoncayo@HIDDEN>) id 1TeT1x-0007kx-46
	for 12988 <at> debbugs.gnu.org; Fri, 30 Nov 2012 11:01:33 -0500
Received: by mail-oa0-f44.google.com with SMTP id n5so533136oag.3
	for <12988 <at> debbugs.gnu.org>; Fri, 30 Nov 2012 07:59:25 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:cc:content-type;
	bh=PbT/98bNF8wHV/wnnfoVKJPK8rG39mQBGXPmgg7sFVQ=;
	b=hyzsmm2knX4jyKVdeODq5yyxqIKHJOsXLMQWl68UtgUPAx2u1YIs4TodfrgxqHdG3P
	0Q8anfoeQawSdjqJMpdJv6bcrGnczl5yt64RJvZV68rhdixcwOGOOeSKZZDiPNOQBhjy
	xFXfqqR7I4uiJYGTaMBA+PIs7GbeUTQAeg97oVnDMzASgpS0A0Dl9/oAbD9zJcachd8a
	+39poRNm7ujZrD3jSDkjc0ZtMDenSpAHbGGNMoeVbwETQsz/aBoL+cMSyTxu2uHXHxvn
	SoK862ntXUw43x1lxl9413Guk+h2jV4jkncjCFSLwHzKkO3EykJa7jFsklF9Weo+qCrF
	8jxQ==
MIME-Version: 1.0
Received: by 10.60.31.205 with SMTP id c13mr1279301oei.135.1354291165312; Fri,
	30 Nov 2012 07:59:25 -0800 (PST)
Received: by 10.60.64.170 with HTTP; Fri, 30 Nov 2012 07:59:25 -0800 (PST)
In-Reply-To: <CAH8Pv0gT=2jtEWnGakzAoLtWAE02fTqRgVVjw559ozBSuatEeQ@HIDDEN>
References: <1353809123.37107.YahooMailClassic@HIDDEN>
	<87ip8u6m77.fsf@HIDDEN>
	<0DE2FE5504D24DB884020513B403F9C4@HIDDEN>
	<871ufdiaup.fsf@HIDDEN>
	<4EF04423864F4A009C7B1CFAE5C53AD5@HIDDEN>
	<87ehjc3q1j.fsf@HIDDEN>
	<94CE113EBBE742F68D103EE3FC4E6541@HIDDEN>
	<878v9jzxf1.fsf@HIDDEN> <83hao7v6re.fsf@HIDDEN>
	<8738zrsd2b.fsf@HIDDEN> <jwvk3t3yyez.fsf-monnier+emacs@HIDDEN>
	<CAH8Pv0gT=2jtEWnGakzAoLtWAE02fTqRgVVjw559ozBSuatEeQ@HIDDEN>
Date: Fri, 30 Nov 2012 16:59:25 +0100
Message-ID: <CAH8Pv0iFvc7-AkidMkfEj6UxjvGmYmSuTKp2ua9egAyUSFf++A@HIDDEN>
Subject: Re: bug#12988: [PATCH] RE: bug#12988: isearch fails to persistently
	indicate case sensitivity
From: Dani Moncayo <dmoncayo@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 12988
Cc: Chong Yidong <cyd@HIDDEN>, kellydeanch@HIDDEN, 12988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.1 (/)

>> We're talking about switches which usually are not changed during
>> the search.
>
> Yes, the ones that appear often during the search and those related to
                                                    ^^^
Pfffff, I meant "are".  Sorry.

> the status of the current search ("(over)wrapped", "failing", etc).

-- 
Dani Moncayo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 30 Nov 2012 15:48:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 30 10:48:12 2012
Received: from localhost ([127.0.0.1]:47178 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TeSp2-0007RM-5F
	for submit <at> debbugs.gnu.org; Fri, 30 Nov 2012 10:48:12 -0500
Received: from mail-ob0-f172.google.com ([209.85.214.172]:43653)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dmoncayo@HIDDEN>) id 1TeSoz-0007RB-4E
	for 12988 <at> debbugs.gnu.org; Fri, 30 Nov 2012 10:48:10 -0500
Received: by mail-ob0-f172.google.com with SMTP id za17so514782obc.3
	for <12988 <at> debbugs.gnu.org>; Fri, 30 Nov 2012 07:46:02 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:cc:content-type;
	bh=LB7rXYxjGcYXGBKsa0CRu5wb0REL7Klp4r165FOqBmM=;
	b=j0tQPnS2UowjYOC9eBq1ud8cJC//OuJ5hJflK9byY47u9YlfeyJ67B8tTHjRNjomCk
	yrmOkzxEuoII50cUyX1+GDDA90BY2e9rlmTXC973+mmW8Leglnys7zw75Sp0VUFhUH9R
	9ndYOpvwy6Ikm3TZY3fyZHW7EDTpKw8tbVotVNwmlU8DyW9ibh/6orHwvsA3INfkC/5F
	i468XOSR2OXrVx9MfCyyajzw8Crkb7W2ll3YOkKzr5X8P95mInHBhONoUn5SWSs0TkGJ
	FPprtg8BM41204SE3u2rT7h+xZCxX7t5QuiN2i5HTq7JCbA4xuGKi2m8RmGa/08HdC0z
	ZMRA==
MIME-Version: 1.0
Received: by 10.60.23.232 with SMTP id p8mr1309248oef.53.1354290362643; Fri,
	30 Nov 2012 07:46:02 -0800 (PST)
Received: by 10.60.64.170 with HTTP; Fri, 30 Nov 2012 07:46:02 -0800 (PST)
In-Reply-To: <jwvk3t3yyez.fsf-monnier+emacs@HIDDEN>
References: <1353809123.37107.YahooMailClassic@HIDDEN>
	<87ip8u6m77.fsf@HIDDEN>
	<0DE2FE5504D24DB884020513B403F9C4@HIDDEN>
	<871ufdiaup.fsf@HIDDEN>
	<4EF04423864F4A009C7B1CFAE5C53AD5@HIDDEN>
	<87ehjc3q1j.fsf@HIDDEN>
	<94CE113EBBE742F68D103EE3FC4E6541@HIDDEN>
	<878v9jzxf1.fsf@HIDDEN> <83hao7v6re.fsf@HIDDEN>
	<8738zrsd2b.fsf@HIDDEN> <jwvk3t3yyez.fsf-monnier+emacs@HIDDEN>
Date: Fri, 30 Nov 2012 16:46:02 +0100
Message-ID: <CAH8Pv0gT=2jtEWnGakzAoLtWAE02fTqRgVVjw559ozBSuatEeQ@HIDDEN>
Subject: Re: bug#12988: [PATCH] RE: bug#12988: isearch fails to persistently
	indicate case sensitivity
From: Dani Moncayo <dmoncayo@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 12988
Cc: Chong Yidong <cyd@HIDDEN>, kellydeanch@HIDDEN, 12988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.1 (/)

>>> I-search(NC) -- case-insensitive ("no-case")
>>> I-search(CS) -- case-sensitive
>>> I-search(CS,WS) -- and lax whitespace
>>> I-search(CS,WS,RX) -- and regexp
>> I think that would be fine, though full strings (like "case",
>> "strict-space") might be better than cryptic acryonyms.
>
> In an earlier thread I suggested "Isearch/w/c" where the letters would
> match the keys used to enable/select those options.

Sounds fine to me.  Short and intuitive.

(It could be even shorter if you write only the first slash, because
every single character on its right side would represent an individual
flag.  E.g.: "Isearch/wc")

>> I'd like to mention that a bad consequence of this approach is that
>> the prompt string would have a variable length, so that the search
>> string would not be shown in a stable position, making harder for the
>> user to concentrate on it.
>
> We're talking about switches which usually are not changed during
> the search.

Yes, the ones that appear often during the search and those related to
the status of the current search ("(over)wrapped", "failing", etc).

-- 
Dani Moncayo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 30 Nov 2012 15:40:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 30 10:40:13 2012
Received: from localhost ([127.0.0.1]:47174 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TeShJ-0007Fx-5d
	for submit <at> debbugs.gnu.org; Fri, 30 Nov 2012 10:40:13 -0500
Received: from mail-ob0-f172.google.com ([209.85.214.172]:48690)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dmoncayo@HIDDEN>) id 1TeSh9-0007FR-JW
	for 12988 <at> debbugs.gnu.org; Fri, 30 Nov 2012 10:40:09 -0500
Received: by mail-ob0-f172.google.com with SMTP id za17so505222obc.3
	for <12988 <at> debbugs.gnu.org>; Fri, 30 Nov 2012 07:37:57 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:cc:content-type;
	bh=6wzWEJaP8upXPUjueFKMOIrU4vTAQRXpm0xwrGLY9ZA=;
	b=pRVO1Nr6Ohy0RR5YLek8aoz7boyCHEthwplRELn/brJV6Cj9vW2KKPN/yl4osSghDJ
	o+3l73qCJESyrm0FGyI3t6C5FNJc0it1RO58cgDLA+gHhGwFLvOo/FmUOf1s+TQb4WJv
	FXIzKzSEFwtSR4sS/w+c7IfEHeyriQrOJPWNmJn38pAV1ZnoKgpYJxK3ksyBpRFH9/UE
	rvTamBNhTQBSP5QRZm7KOpNaIeO2NGCU0Apj54E9Eo1H1aL5nxwY9x/fM5GOff9deizw
	AaJfH852XQXucRom6PDl/vuMQtppCfD2FbTHsZr/L+MQIOgXA7kjZ55jtCOKtgkXmKwn
	Hs9Q==
MIME-Version: 1.0
Received: by 10.60.2.164 with SMTP id 4mr1279775oev.31.1354289876949; Fri, 30
	Nov 2012 07:37:56 -0800 (PST)
Received: by 10.60.64.170 with HTTP; Fri, 30 Nov 2012 07:37:56 -0800 (PST)
In-Reply-To: <m2txs7i57y.fsf@HIDDEN>
References: <1353809123.37107.YahooMailClassic@HIDDEN>
	<87ip8u6m77.fsf@HIDDEN>
	<0DE2FE5504D24DB884020513B403F9C4@HIDDEN>
	<871ufdiaup.fsf@HIDDEN>
	<4EF04423864F4A009C7B1CFAE5C53AD5@HIDDEN>
	<87ehjc3q1j.fsf@HIDDEN>
	<94CE113EBBE742F68D103EE3FC4E6541@HIDDEN>
	<878v9jzxf1.fsf@HIDDEN> <83hao7v6re.fsf@HIDDEN>
	<CAH8Pv0i8PuRTDAnByfUTbY8erx7LJAMrMJ2RFpSAGkzjo91Yhw@HIDDEN>
	<m2txs7i57y.fsf@HIDDEN>
Date: Fri, 30 Nov 2012 16:37:56 +0100
Message-ID: <CAH8Pv0h040xR_Bz484=xbWh2so4BP1dg2ML76yEJj8j6djo8qg@HIDDEN>
Subject: Re: bug#12988: [PATCH] RE: bug#12988: isearch fails to persistently
	indicate case sensitivity
From: Dani Moncayo <dmoncayo@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 12988
Cc: Eli Zaretskii <eliz@HIDDEN>, kellydeanch@HIDDEN, 12988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.1 (/)

>> Maybe the modeline would be the best place to put all these I-search flags...
>
> The mode-line may be far away from the echo area.

Indeed, in a multi-window layout.  So that was a bad idea.

Thanks.

-- 
Dani Moncayo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 30 Nov 2012 14:21:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 30 09:21:20 2012
Received: from localhost ([127.0.0.1]:46428 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TeRSx-0005HW-MB
	for submit <at> debbugs.gnu.org; Fri, 30 Nov 2012 09:21:20 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:59817)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1TeRSw-0005HQ-7k
	for 12988 <at> debbugs.gnu.org; Fri, 30 Nov 2012 09:21:18 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av0EAG6Zu09FxKh9/2dsb2JhbABEtBGBCIIVAQEEAVYjBQsLDiYSFBgNJIgcBboJkEQDiEKacYFYgwc
X-IronPort-AV: E=Sophos;i="4.75,637,1330923600"; d="scan'208";a="208809027"
Received: from 69-196-168-125.dsl.teksavvy.com (HELO pastel.home)
	([69.196.168.125])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	30 Nov 2012 09:19:11 -0500
Received: by pastel.home (Postfix, from userid 20848)
	id 47F5559069; Fri, 30 Nov 2012 09:19:11 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Chong Yidong <cyd@HIDDEN>
Subject: Re: bug#12988: [PATCH] RE: bug#12988: isearch fails to
	persistently	indicate case sensitivity
Message-ID: <jwvk3t3yyez.fsf-monnier+emacs@HIDDEN>
References: <1353809123.37107.YahooMailClassic@HIDDEN>
	<87ip8u6m77.fsf@HIDDEN>
	<0DE2FE5504D24DB884020513B403F9C4@HIDDEN>
	<871ufdiaup.fsf@HIDDEN>
	<4EF04423864F4A009C7B1CFAE5C53AD5@HIDDEN>
	<87ehjc3q1j.fsf@HIDDEN>
	<94CE113EBBE742F68D103EE3FC4E6541@HIDDEN>
	<878v9jzxf1.fsf@HIDDEN> <83hao7v6re.fsf@HIDDEN>
	<8738zrsd2b.fsf@HIDDEN>
Date: Fri, 30 Nov 2012 09:19:11 -0500
In-Reply-To: <8738zrsd2b.fsf@HIDDEN> (Chong Yidong's message of "Fri, 30 Nov
	2012 16:35:40 +0800")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 12988
Cc: Eli Zaretskii <eliz@HIDDEN>, kellydeanch@HIDDEN, 12988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.5 (/)

>> I-search(NC) -- case-insensitive ("no-case")
>> I-search(CS) -- case-sensitive
>> I-search(CS,WS) -- and lax whitespace
>> I-search(CS,WS,RX) -- and regexp
> I think that would be fine, though full strings (like "case",
> "strict-space") might be better than cryptic acryonyms.

In an earlier thread I suggested "Isearch/w/c" where the letters would
match the keys used to enable/select those options.

> I'd like to mention that a bad consequence of this approach is that
> the prompt string would have a variable length, so that the search
> string would not be shown in a stable position, making harder for the
> user to concentrate on it.

We're talking about switches which usually are not changed during
the search.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 30 Nov 2012 13:37:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 30 08:37:24 2012
Received: from localhost ([127.0.0.1]:46386 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TeQmS-0004FL-Kl
	for submit <at> debbugs.gnu.org; Fri, 30 Nov 2012 08:37:24 -0500
Received: from mail-out.m-online.net ([212.18.0.9]:46037)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <whitebox@HIDDEN>) id 1TeQmP-0004FA-4L
	for 12988 <at> debbugs.gnu.org; Fri, 30 Nov 2012 08:37:23 -0500
Received: from frontend1.mail.m-online.net (unknown [192.168.8.180])
	by mail-out.m-online.net (Postfix) with ESMTP id 3YCc6V4QB0z4KKK4;
	Fri, 30 Nov 2012 14:35:13 +0100 (CET)
X-Auth-Info: Lj2u/S++ZfaIBoTymekLT7D+FrAh0OoH7WimrgcY070=
Received: from igel.home (ppp-88-217-110-32.dynamic.mnet-online.de
	[88.217.110.32])
	by mail.mnet-online.de (Postfix) with ESMTPA id 3YCc6T4ZTJzbbfL;
	Fri, 30 Nov 2012 14:35:13 +0100 (CET)
Received: by igel.home (Postfix, from userid 501)
	id 4CA5DCA2A4; Fri, 30 Nov 2012 14:35:13 +0100 (CET)
From: Andreas Schwab <schwab@HIDDEN>
To: Dani Moncayo <dmoncayo@HIDDEN>
Subject: Re: bug#12988: [PATCH] RE: bug#12988: isearch fails to persistently
	indicate case sensitivity
References: <1353809123.37107.YahooMailClassic@HIDDEN>
	<87ip8u6m77.fsf@HIDDEN>
	<0DE2FE5504D24DB884020513B403F9C4@HIDDEN>
	<871ufdiaup.fsf@HIDDEN>
	<4EF04423864F4A009C7B1CFAE5C53AD5@HIDDEN>
	<87ehjc3q1j.fsf@HIDDEN>
	<94CE113EBBE742F68D103EE3FC4E6541@HIDDEN>
	<878v9jzxf1.fsf@HIDDEN> <83hao7v6re.fsf@HIDDEN>
	<CAH8Pv0i8PuRTDAnByfUTbY8erx7LJAMrMJ2RFpSAGkzjo91Yhw@HIDDEN>
X-Yow: Quick, sing me the BUDAPEST NATIONAL ANTHEM!!
Date: Fri, 30 Nov 2012 14:35:13 +0100
In-Reply-To: <CAH8Pv0i8PuRTDAnByfUTbY8erx7LJAMrMJ2RFpSAGkzjo91Yhw@HIDDEN>
	(Dani Moncayo's message of "Fri, 30 Nov 2012 09:36:06 +0100")
Message-ID: <m2txs7i57y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 12988
Cc: Eli Zaretskii <eliz@HIDDEN>, kellydeanch@HIDDEN, 12988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Dani Moncayo <dmoncayo@HIDDEN> writes:

> Maybe the modeline would be the best place to put all these I-search flags...

The mode-line may be far away from the echo area.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 30 Nov 2012 10:11:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 30 05:11:29 2012
Received: from localhost ([127.0.0.1]:46225 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TeNZB-0006z0-6I
	for submit <at> debbugs.gnu.org; Fri, 30 Nov 2012 05:11:29 -0500
Received: from mail-oa0-f44.google.com ([209.85.219.44]:57128)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dmoncayo@HIDDEN>) id 1TeNZ8-0006ys-OS
	for 12988 <at> debbugs.gnu.org; Fri, 30 Nov 2012 05:11:27 -0500
Received: by mail-oa0-f44.google.com with SMTP id n5so238811oag.3
	for <12988 <at> debbugs.gnu.org>; Fri, 30 Nov 2012 02:09:20 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:cc:content-type;
	bh=ZXICsFSQoX0c7oF0cZk7QBBtdYYkBAfUtQ0d8LEh0nE=;
	b=vrXR9QVH+UEe7L8AyyitkhQpEM3ajM6cJ1L4tUi6RZi2uqhF9KfpwIrBTK+EFMC/J5
	cE5+IbOYDZu+nQWCVBviY+1RbcMT4UiejEIV+EyG0w8yiUvEkyEH3TI/tZ2bfvvVtmo/
	7Kbw5ze0MAGTEQnoG+91HUbno3T6NkfKOampY1BcTdbE500Wwm4mi0DcngBDnNUqNDy9
	t1eBOpuaa1Xblz4TfiYV/pVbXq+RYn2dTrAIGH9RBtul0imKjJ70mbUm3BHzAND9KdeG
	hc5qvbXmdeDaSWNVs5GGD21wlgWat4pu+8bKbLze43Yb9IZvpPvBmccLpY+UMsv+Su3L
	C4yg==
MIME-Version: 1.0
Received: by 10.60.31.205 with SMTP id c13mr507430oei.135.1354270160117; Fri,
	30 Nov 2012 02:09:20 -0800 (PST)
Received: by 10.60.64.170 with HTTP; Fri, 30 Nov 2012 02:09:19 -0800 (PST)
In-Reply-To: <838v9jv2gs.fsf@HIDDEN>
References: <1353809123.37107.YahooMailClassic@HIDDEN>
	<87ip8u6m77.fsf@HIDDEN>
	<0DE2FE5504D24DB884020513B403F9C4@HIDDEN>
	<871ufdiaup.fsf@HIDDEN>
	<4EF04423864F4A009C7B1CFAE5C53AD5@HIDDEN>
	<87ehjc3q1j.fsf@HIDDEN>
	<94CE113EBBE742F68D103EE3FC4E6541@HIDDEN>
	<878v9jzxf1.fsf@HIDDEN> <83hao7v6re.fsf@HIDDEN>
	<CAH8Pv0i8PuRTDAnByfUTbY8erx7LJAMrMJ2RFpSAGkzjo91Yhw@HIDDEN>
	<838v9jv2gs.fsf@HIDDEN>
Date: Fri, 30 Nov 2012 11:09:19 +0100
Message-ID: <CAH8Pv0g3xAvWRggfMUB0JDPMaFvJhpSLVqvj4Jwhfo0M-St6Mg@HIDDEN>
Subject: Re: bug#12988: [PATCH] RE: bug#12988: isearch fails to persistently
	indicate case sensitivity
From: Dani Moncayo <dmoncayo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 12988
Cc: juri@HIDDEN, kellydeanch@HIDDEN, 12988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.1 (/)

>> I'd like to mention that a bad consequence of this approach is that
>> the prompt string would have a variable length, so that the search
>> string would not be shown in a stable position, making harder for the
>> user to concentrate on it.
>
> If that is indeed a problem (I doubt it),

I have no doubt about my how I feel when the Isearch prompt changes
during an Isearch session: I feel annoyed.  Although this change is
more frequent due to "Failing", "Overwrapped" etc, than changes in the
type of search (normal, regexp, word, ...).

> then it can be easily taken
> care of with align-to display spec.

I don't know about that, but if it puts the search string in a stable
position, that would be quite more pleasant for the users, definitely.

>> Maybe the modeline would be the best place to put all these I-search flags...
>
> The mode line is too crammed already, so you may not have enough space
> there.  But we could try putting this in the minor-mode string.

Yes, the that approach is not flawless either.

-- 
Dani Moncayo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 30 Nov 2012 09:58:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 30 04:58:44 2012
Received: from localhost ([127.0.0.1]:46220 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TeNMp-0006gv-TT
	for submit <at> debbugs.gnu.org; Fri, 30 Nov 2012 04:58:44 -0500
Received: from mtaout23.012.net.il ([80.179.55.175]:62825)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1TeNMm-0006gk-Pc
	for 12988 <at> debbugs.gnu.org; Fri, 30 Nov 2012 04:58:41 -0500
Received: from conversion-daemon.a-mtaout23.012.net.il by
	a-mtaout23.012.net.il (HyperSendmail v2007.08) id
	<0MEA00I00OMYE600@HIDDEN> for
	12988 <at> debbugs.gnu.org; Fri, 30 Nov 2012 11:56:35 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MEA00I5NOYAEB10@HIDDEN>;
	Fri, 30 Nov 2012 11:56:34 +0200 (IST)
Date: Fri, 30 Nov 2012 11:56:19 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#12988: [PATCH] RE: bug#12988: isearch fails to persistently
	indicate case sensitivity
In-reply-to: <CAH8Pv0i8PuRTDAnByfUTbY8erx7LJAMrMJ2RFpSAGkzjo91Yhw@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Dani Moncayo <dmoncayo@HIDDEN>
Message-id: <838v9jv2gs.fsf@HIDDEN>
References: <1353809123.37107.YahooMailClassic@HIDDEN>
	<87ip8u6m77.fsf@HIDDEN>
	<0DE2FE5504D24DB884020513B403F9C4@HIDDEN>
	<871ufdiaup.fsf@HIDDEN>
	<4EF04423864F4A009C7B1CFAE5C53AD5@HIDDEN>
	<87ehjc3q1j.fsf@HIDDEN>
	<94CE113EBBE742F68D103EE3FC4E6541@HIDDEN>
	<878v9jzxf1.fsf@HIDDEN> <83hao7v6re.fsf@HIDDEN>
	<CAH8Pv0i8PuRTDAnByfUTbY8erx7LJAMrMJ2RFpSAGkzjo91Yhw@HIDDEN>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview:  > Date: Fri,
	30 Nov 2012 09:36:06 +0100 > From: Dani Moncayo
	<dmoncayo@HIDDEN> > Cc: Juri Linkov <juri@HIDDEN>,
	kellydeanch@HIDDEN, 
	12988 <at> debbugs.gnu.org > > > If you must have some indication of the
	kind of i-search, add some > > clearly visible indicators,
	like > > > > I-search(NC)
	-- case-insensitive ("no-case") > > I-search(CS) -- case-sensitive > >
	I-search(CS, WS) -- and lax whitespace > > I-search(CS, WS,
	RX) -- and regexp > > I'd like to
	mention that a bad consequence of this approach is that > the prompt
	string would have a variable length,
	so that the search > string would not be shown
	in a stable position, making harder for the > user to concentrate on it.
	[...] Content analysis details:   (1.5 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	-0.0 RCVD_IN_DNSWL_NONE RBL: Sender listed at http://www.dnswl.org/,
	no trust [80.179.55.175 listed in list.dnswl.org]
	0.7 SPF_SOFTFAIL SPF: sender does not match SPF record (softfail)
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.4653]
X-Debbugs-Envelope-To: 12988
Cc: juri@HIDDEN, kellydeanch@HIDDEN, 12988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.7 (/)

> Date: Fri, 30 Nov 2012 09:36:06 +0100
> From: Dani Moncayo <dmoncayo@HIDDEN>
> Cc: Juri Linkov <juri@HIDDEN>, kellydeanch@HIDDEN, 12988 <at> debbugs.gnu.org
> 
> > If you must have some indication of the kind of i-search, add some
> > clearly visible indicators, like
> >
> >   I-search(NC) -- case-insensitive ("no-case")
> >   I-search(CS) -- case-sensitive
> >   I-search(CS,WS) -- and lax whitespace
> >   I-search(CS,WS,RX) -- and regexp
> 
> I'd like to mention that a bad consequence of this approach is that
> the prompt string would have a variable length, so that the search
> string would not be shown in a stable position, making harder for the
> user to concentrate on it.

If that is indeed a problem (I doubt it), then it can be easily taken
care of with align-to display spec.

> Maybe the modeline would be the best place to put all these I-search flags...

The mode line is too crammed already, so you may not have enough space
there.  But we could try putting this in the minor-mode string.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 30 Nov 2012 08:38:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 30 03:38:16 2012
Received: from localhost ([127.0.0.1]:46163 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TeM6x-0004o8-IA
	for submit <at> debbugs.gnu.org; Fri, 30 Nov 2012 03:38:16 -0500
Received: from mail-ob0-f172.google.com ([209.85.214.172]:52706)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dmoncayo@HIDDEN>) id 1TeM6v-0004o1-Jr
	for 12988 <at> debbugs.gnu.org; Fri, 30 Nov 2012 03:38:14 -0500
Received: by mail-ob0-f172.google.com with SMTP id za17so177783obc.3
	for <12988 <at> debbugs.gnu.org>; Fri, 30 Nov 2012 00:36:06 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:cc:content-type;
	bh=5UEaXQP5qVrH5OxKk+uO9g6DtQ320jehZzMBcmSDkgY=;
	b=ifV98HuegxibA4cSCjrV/QGZ+Wp1TlAVeeo0FJSlVG+XDsg5uXj4TrpMA12cvn2X7z
	H/hypE83XaUfGaYXg2b/wDa8VQ2laEB52bHAVcJ0kfKuXXWLFlvi2a9lwL1MgXTebSaE
	OIvOXq5vT3Ek3yux1q/QYP29a07KMu0bwDaoADH8iiGPy8u8NftcaLuzOIjAHCDEICoB
	rpFqds/th3yNxKLLg0UxlRexG5V6A1DJL0IZeTB42TA2Mx7ZYCG9BY9HrUXvBs3/7c9V
	4QRo4D9Lp5VtACC7unXi62sdLz+KPBiVnX9Z0KyfMU0NMaH1YKpdgLiK7TN+75hktkWM
	jaRA==
MIME-Version: 1.0
Received: by 10.60.23.232 with SMTP id p8mr393536oef.53.1354264566410; Fri, 30
	Nov 2012 00:36:06 -0800 (PST)
Received: by 10.60.64.170 with HTTP; Fri, 30 Nov 2012 00:36:06 -0800 (PST)
In-Reply-To: <83hao7v6re.fsf@HIDDEN>
References: <1353809123.37107.YahooMailClassic@HIDDEN>
	<87ip8u6m77.fsf@HIDDEN>
	<0DE2FE5504D24DB884020513B403F9C4@HIDDEN>
	<871ufdiaup.fsf@HIDDEN>
	<4EF04423864F4A009C7B1CFAE5C53AD5@HIDDEN>
	<87ehjc3q1j.fsf@HIDDEN>
	<94CE113EBBE742F68D103EE3FC4E6541@HIDDEN>
	<878v9jzxf1.fsf@HIDDEN> <83hao7v6re.fsf@HIDDEN>
Date: Fri, 30 Nov 2012 09:36:06 +0100
Message-ID: <CAH8Pv0i8PuRTDAnByfUTbY8erx7LJAMrMJ2RFpSAGkzjo91Yhw@HIDDEN>
Subject: Re: bug#12988: [PATCH] RE: bug#12988: isearch fails to persistently
	indicate case sensitivity
From: Dani Moncayo <dmoncayo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 12988
Cc: Juri Linkov <juri@HIDDEN>, kellydeanch@HIDDEN, 12988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.1 (/)

> If you must have some indication of the kind of i-search, add some
> clearly visible indicators, like
>
>   I-search(NC) -- case-insensitive ("no-case")
>   I-search(CS) -- case-sensitive
>   I-search(CS,WS) -- and lax whitespace
>   I-search(CS,WS,RX) -- and regexp

I'd like to mention that a bad consequence of this approach is that
the prompt string would have a variable length, so that the search
string would not be shown in a stable position, making harder for the
user to concentrate on it.

This problem has been discussed in bug #12078, where I proposed to
move all these indicators to the right side of the search string.  But
this approach has also its drawbacks, since it feels weird to have
text following the search string.

Maybe the modeline would be the best place to put all these I-search flags...

-- 
Dani Moncayo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 30 Nov 2012 08:37:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 30 03:37:57 2012
Received: from localhost ([127.0.0.1]:46159 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TeM6f-0004nA-9Q
	for submit <at> debbugs.gnu.org; Fri, 30 Nov 2012 03:37:57 -0500
Received: from mail-pb0-f44.google.com ([209.85.160.44]:36583)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <seewhydee@HIDDEN>) id 1TeM6d-0004n1-77
	for 12988 <at> debbugs.gnu.org; Fri, 30 Nov 2012 03:37:56 -0500
Received: by mail-pb0-f44.google.com with SMTP id uo1so277376pbc.3
	for <12988 <at> debbugs.gnu.org>; Fri, 30 Nov 2012 00:35:50 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
	:user-agent:mime-version:content-type;
	bh=IDopA9UwtKQMMHxpfd+zM/NH7XEWqgJAckHXnFNayPA=;
	b=VSHV0H4koA+ElqJ4j6jn2gzGtXMHOI4zCr2DBIkrYiowT587M/c7PID9FKGUhQ4Wh+
	4LjjepIsQdgJ3PfqBK4cY8xmJH8Wr+32ct36p1PIu052grimVxltlqYjkw9PYotrz5/O
	vXVyZiOOeYSZmbQH1sz4qHuXePCER0336WC9pBiXBPm3jGwQQvZ3A1gS1EKoafe0tuAz
	nCNJ+tnns5TF+ufbyCf5jRaPOuHdwH7pNa4Y57uXzpD2qva1DSBOpU7m+MTaYejNu9zo
	PypPXude3x3x8A8uQ2zOp+fVF6HXGZB+3LzpWNRPVeDYxn1/clUR4vq5+b1ZpEearKFj
	mnHg==
Received: by 10.68.129.233 with SMTP id nz9mr3421147pbb.139.1354264548133;
	Fri, 30 Nov 2012 00:35:48 -0800 (PST)
Received: from ulysses ([155.69.16.180])
	by mx.google.com with ESMTPS id sk1sm1453409pbc.0.2012.11.30.00.35.42
	(version=SSLv3 cipher=OTHER); Fri, 30 Nov 2012 00:35:45 -0800 (PST)
From: Chong Yidong <cyd@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#12988: [PATCH] RE: bug#12988: isearch fails to
	persistently	indicate case sensitivity
References: <1353809123.37107.YahooMailClassic@HIDDEN>
	<87ip8u6m77.fsf@HIDDEN>
	<0DE2FE5504D24DB884020513B403F9C4@HIDDEN>
	<871ufdiaup.fsf@HIDDEN>
	<4EF04423864F4A009C7B1CFAE5C53AD5@HIDDEN>
	<87ehjc3q1j.fsf@HIDDEN>
	<94CE113EBBE742F68D103EE3FC4E6541@HIDDEN>
	<878v9jzxf1.fsf@HIDDEN> <83hao7v6re.fsf@HIDDEN>
Date: Fri, 30 Nov 2012 16:35:40 +0800
In-Reply-To: <83hao7v6re.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 30 Nov
	2012 10:23:33 +0200")
Message-ID: <8738zrsd2b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 12988
Cc: Juri Linkov <juri@HIDDEN>, kellydeanch@HIDDEN, 12988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>   I-search(NC) -- case-insensitive ("no-case")
>   I-search(CS) -- case-sensitive
>   I-search(CS,WS) -- and lax whitespace
>   I-search(CS,WS,RX) -- and regexp

I think that would be fine, though full strings (like "case",
"strict-space") might be better than cryptic acryonyms.

Also, the default state should be associated with a blank indicator,
i.e. plain "Isearch".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 30 Nov 2012 08:25:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 30 03:25:55 2012
Received: from localhost ([127.0.0.1]:46153 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TeLv1-0004W6-5g
	for submit <at> debbugs.gnu.org; Fri, 30 Nov 2012 03:25:55 -0500
Received: from mtaout20.012.net.il ([80.179.55.166]:33386)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1TeLuy-0004Vy-O6
	for 12988 <at> debbugs.gnu.org; Fri, 30 Nov 2012 03:25:53 -0500
Received: from conversion-daemon.a-mtaout20.012.net.il by
	a-mtaout20.012.net.il (HyperSendmail v2007.08) id
	<0MEA00F00KKBAJ00@HIDDEN> for
	12988 <at> debbugs.gnu.org; Fri, 30 Nov 2012 10:23:47 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MEA00FO0KNMAL00@HIDDEN>;
	Fri, 30 Nov 2012 10:23:47 +0200 (IST)
Date: Fri, 30 Nov 2012 10:23:33 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#12988: [PATCH] RE: bug#12988: isearch fails to
	persistently	indicate case sensitivity
In-reply-to: <878v9jzxf1.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Juri Linkov <juri@HIDDEN>
Message-id: <83hao7v6re.fsf@HIDDEN>
References: <1353809123.37107.YahooMailClassic@HIDDEN>
	<87ip8u6m77.fsf@HIDDEN>
	<0DE2FE5504D24DB884020513B403F9C4@HIDDEN>
	<871ufdiaup.fsf@HIDDEN>
	<4EF04423864F4A009C7B1CFAE5C53AD5@HIDDEN>
	<87ehjc3q1j.fsf@HIDDEN>
	<94CE113EBBE742F68D103EE3FC4E6541@HIDDEN>
	<878v9jzxf1.fsf@HIDDEN>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview:  > From: Juri Linkov <juri@HIDDEN> > Date: Fri,
	30 Nov 2012
	03:34:10 +0200 > Cc: 'Kelly Dean' <kellydeanch@HIDDEN>,
	12988 <at> debbugs.gnu.org
	> > > I have no objection to: > > > > isearch - case-insensitive > >
	Isearch
	- case-sensitive > > I search - and lax whitespace > > I*search - and
	regexp
	> > I* search - and lax ws and regexp > > ... > > Then word and symbol
	search need indication too,
	e.g.: > > <Isearch> - word search > _<Isearch_> - symbol
	search [...] 
	Content analysis details:   (1.5 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	-0.0 RCVD_IN_DNSWL_NONE RBL: Sender listed at http://www.dnswl.org/,
	no trust [80.179.55.166 listed in list.dnswl.org]
	0.7 SPF_SOFTFAIL SPF: sender does not match SPF record (softfail)
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.4999]
X-Debbugs-Envelope-To: 12988
Cc: kellydeanch@HIDDEN, 12988 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.7 (/)

> From: Juri Linkov <juri@HIDDEN>
> Date: Fri, 30 Nov 2012 03:34:10 +0200
> Cc: 'Kelly Dean' <kellydeanch@HIDDEN>, 12988 <at> debbugs.gnu.org
> 
> > I have no objection to:
> >
> >  isearch    - case-insensitive
> >  Isearch    - case-sensitive
> >  I search   -                and lax whitespace
> >  I*search   -                and regexp
> >  I* search  -                and lax ws and regexp
> >  ...
> 
> Then word and symbol search need indication too, e.g.:
> 
> <Isearch>     - word search
> _<Isearch_>   - symbol search

Please don't do that.  That way lies madness.  There's no way the user
will be able to pick up the hints from this UI.

If you must have some indication of the kind of i-search, add some
clearly visible indicators, like

  I-search(NC) -- case-insensitive ("no-case")
  I-search(CS) -- case-sensitive
  I-search(CS,WS) -- and lax whitespace
  I-search(CS,WS,RX) -- and regexp

etc. (I don't insist on the particular acronyms, perhaps better ones
can be found).  Yes, these are cryptic as well (so maybe consider
making them longer), but at least they are _explicit_, so the user who
is curious has a very clear hint staring it her, and could go RTFM if
needed.

Another, orthogonal idea to make this easier for users is to add a
tool-tip to the "I-search" field.  It's orthogonal because it won't
help on a TTY.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 30 Nov 2012 03:52:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 29 22:52:40 2012
Received: from localhost ([127.0.0.1]:45849 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TeHea-0005e7-3E
	for submit <at> debbugs.gnu.org; Thu, 29 Nov 2012 22:52:40 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:49088)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1TeHeX-0005dw-7h
	for 12988 <at> debbugs.gnu.org; Thu, 29 Nov 2012 22:52:38 -0500
Received: from ucsinet22.oracle.com (ucsinet22.oracle.com [156.151.31.94])
	by userp1040.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id qAU3oWMI020237
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Fri, 30 Nov 2012 03:50:32 GMT
Received: from acsmt358.oracle.com (acsmt358.oracle.com [141.146.40.158])
	by ucsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	qAU3oVh2013434
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Fri, 30 Nov 2012 03:50:31 GMT
Received: from abhmt113.oracle.com (abhmt113.oracle.com [141.146.116.65])
	by acsmt358.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	qAU3oUxV014650; Thu, 29 Nov 2012 21:50:30 -0600
Received: from dradamslap1 (/10.159.169.89)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Thu, 29 Nov 2012 19:50:30 -0800
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Juri Linkov'" <juri@HIDDEN>
References: <1353809123.37107.YahooMailClassic@HIDDEN><87ip8u6m77.fsf@HIDDEN><0DE2FE5504D24DB884020513B403F9C4@HIDDEN><871ufdiaup.fsf@HIDDEN><4EF04423864F4A009C7B1CFAE5C53AD5@HIDDEN><87ehjc3q1j.fsf@HIDDEN><94CE113EBBE742F68D103EE3FC4E6541@HIDDEN>
	<878v9jzxf1.fsf@HIDDEN>
Subject: RE: [PATCH] RE: bug#12988: isearch fails to persistently indicate
	case sensitivity
Date: Thu, 29 Nov 2012 19:50:27 -0800
Message-ID: <E1389320C90F4AFD97705FEA6661818E@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <878v9jzxf1.fsf@HIDDEN>
Thread-Index: Ac3Om1evsYj09WJtQKKoxIbBs4eggwADz8tA
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: ucsinet22.oracle.com [156.151.31.94]
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 12988
Cc: 'Kelly Dean' <kellydeanch@HIDDEN>, 12988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

> >  isearch    - case-insensitive
> >  Isearch    - case-sensitive
> >  I search   -                and lax whitespace
> >  I*search   -                and regexp
> >  I* search  -                and lax ws and regexp
> >  ...
> 
> Then word and symbol search need indication too, e.g.:
> 
> <Isearch>     - word search
> _<Isearch_>   - symbol search

Why not?  Or shorter, reflecting syntax-class designator chars:

 Isearchw   - word
 Isearch_   - symbol
 I searchw  - word, lax whitespace
 I search_  - symbol, lax whitespace

(I still think `I SEARCH_' is better than `i search_' for
case-insensitive search.)





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 30 Nov 2012 01:40:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 29 20:40:11 2012
Received: from localhost ([127.0.0.1]:45811 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TeFaM-0001ll-D3
	for submit <at> debbugs.gnu.org; Thu, 29 Nov 2012 20:40:11 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:39613
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1TeFaI-0001lJ-Of
	for 12988 <at> debbugs.gnu.org; Thu, 29 Nov 2012 20:40:07 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 9D38C46FA018;
	Thu, 29 Nov 2012 17:38:02 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: [PATCH] RE: bug#12988: isearch fails to persistently indicate
	case sensitivity
Organization: JURTA
References: <1353809123.37107.YahooMailClassic@HIDDEN>
	<87ip8u6m77.fsf@HIDDEN>
	<0DE2FE5504D24DB884020513B403F9C4@HIDDEN>
	<871ufdiaup.fsf@HIDDEN>
	<4EF04423864F4A009C7B1CFAE5C53AD5@HIDDEN>
	<87ehjc3q1j.fsf@HIDDEN>
	<94CE113EBBE742F68D103EE3FC4E6541@HIDDEN>
Date: Fri, 30 Nov 2012 03:34:10 +0200
In-Reply-To: <94CE113EBBE742F68D103EE3FC4E6541@HIDDEN> (Drew Adams's
	message of "Thu, 29 Nov 2012 17:18:24 -0800")
Message-ID: <878v9jzxf1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 12988
Cc: 'Kelly Dean' <kellydeanch@HIDDEN>, 12988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

> I have no objection to:
>
>  isearch    - case-insensitive
>  Isearch    - case-sensitive
>  I search   -                and lax whitespace
>  I*search   -                and regexp
>  I* search  -                and lax ws and regexp
>  ...

Then word and symbol search need indication too, e.g.:

<Isearch>     - word search
_<Isearch_>   - symbol search




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 30 Nov 2012 01:20:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 29 20:20:35 2012
Received: from localhost ([127.0.0.1]:45789 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TeFHO-0001Gf-8w
	for submit <at> debbugs.gnu.org; Thu, 29 Nov 2012 20:20:34 -0500
Received: from aserp1040.oracle.com ([141.146.126.69]:21045)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1TeFHM-0001GX-04
	for 12988 <at> debbugs.gnu.org; Thu, 29 Nov 2012 20:20:33 -0500
Received: from ucsinet22.oracle.com (ucsinet22.oracle.com [156.151.31.94])
	by aserp1040.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id qAU1IRwF011105
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Fri, 30 Nov 2012 01:18:28 GMT
Received: from acsmt358.oracle.com (acsmt358.oracle.com [141.146.40.158])
	by ucsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	qAU1IQhK006541
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Fri, 30 Nov 2012 01:18:27 GMT
Received: from abhmt116.oracle.com (abhmt116.oracle.com [141.146.116.68])
	by acsmt358.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	qAU1IQjt004576; Thu, 29 Nov 2012 19:18:26 -0600
Received: from dradamslap1 (/130.35.178.8)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Thu, 29 Nov 2012 17:18:26 -0800
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Juri Linkov'" <juri@HIDDEN>
References: <1353809123.37107.YahooMailClassic@HIDDEN><87ip8u6m77.fsf@HIDDEN><0DE2FE5504D24DB884020513B403F9C4@HIDDEN><871ufdiaup.fsf@HIDDEN><4EF04423864F4A009C7B1CFAE5C53AD5@HIDDEN>
	<87ehjc3q1j.fsf@HIDDEN>
Subject: RE: [PATCH] RE: bug#12988: isearch fails to persistently indicate
	case sensitivity
Date: Thu, 29 Nov 2012 17:18:24 -0800
Message-ID: <94CE113EBBE742F68D103EE3FC4E6541@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
In-Reply-To: <87ehjc3q1j.fsf@HIDDEN>
Thread-Index: Ac3OkyWatIHqqUckSLSqVWwkQmyQawAA9F5Q
X-Source-IP: ucsinet22.oracle.com [156.151.31.94]
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 12988
Cc: 'Kelly Dean' <kellydeanch@HIDDEN>, 12988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

> >  Isearch    - case sensitive,   strict whitespace
> >  ISEARCH    - case insensitive, strict whitespace
> >  I search   - case sensitive,   lax    whitespace
> >  I SEARCH   - case insensitive, lax    whitespace
> 
> ISEARCH is too loud.  All-caps text usually indicates SHOUTING ;-)
> 
> What do you think about altering only the capital letter:
> `Isearch' vs `isearch'.

I disagree, but please do whatever you like.  I disagree because the change from
one to the other is MUCH clearer using uppercase: There is far more visual
difference between Isearch and ISEARCH than between Isearch and isearch.

I agree that ALL CAPS IN TEXT IS LIKE SHOUTING.  This is not a paragraph,
however, but a short symbol.  And here we actually WANT to draw attention to the
change/difference (IMHO).  I, at lest, *want* the change to be easily to notice.

[FWIW, all caps is also a programming idiom as the way case-insensitive testing
is typically done (convert everything to uppercase, then test).  (Could equally
be lowercase, I guess, but uppercase seems to be what is used.)  So at least
some (esp. old perhaps) programmers associate UPPERCASE with case-insensitivity
(and even with old, uppercase-only languages and keyboards).]

But I have no objection to all lowercase instead of all uppercase.  I have no
objection to anything else you might choose.

I have no objection to:

 isearch    - case-insensitive
 Isearch    - case-sensitive
 I search   -                and lax whitespace
 I*search   -                and regexp
 I* search  -                and lax ws and regexp
 ...

or whatever.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 30 Nov 2012 00:41:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 29 19:41:28 2012
Received: from localhost ([127.0.0.1]:45725 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TeEfX-0000MN-N0
	for submit <at> debbugs.gnu.org; Thu, 29 Nov 2012 19:41:28 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:33357
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1TeEfW-0000ME-7C
	for 12988 <at> debbugs.gnu.org; Thu, 29 Nov 2012 19:41:26 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 82984451CC50;
	Thu, 29 Nov 2012 16:39:21 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: [PATCH] RE: bug#12988: isearch fails to persistently indicate
	case sensitivity
Organization: JURTA
References: <1353809123.37107.YahooMailClassic@HIDDEN>
	<87ip8u6m77.fsf@HIDDEN>
	<0DE2FE5504D24DB884020513B403F9C4@HIDDEN>
	<871ufdiaup.fsf@HIDDEN>
	<4EF04423864F4A009C7B1CFAE5C53AD5@HIDDEN>
Date: Fri, 30 Nov 2012 02:28:32 +0200
In-Reply-To: <4EF04423864F4A009C7B1CFAE5C53AD5@HIDDEN> (Drew Adams's
	message of "Wed, 28 Nov 2012 16:06:42 -0800")
Message-ID: <87ehjc3q1j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 12988
Cc: 'Kelly Dean' <kellydeanch@HIDDEN>, 12988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

>  Isearch    - case sensitive,   strict whitespace
>  ISEARCH    - case insensitive, strict whitespace
>  I search   - case sensitive,   lax    whitespace
>  I SEARCH   - case insensitive, lax    whitespace

ISEARCH is too loud.  All-caps text usually indicates SHOUTING ;-)

What do you think about altering only the capital letter:
`Isearch' vs `isearch'.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 29 Nov 2012 00:08:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 28 19:08:48 2012
Received: from localhost ([127.0.0.1]:44263 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TdrgN-0004uf-NH
	for submit <at> debbugs.gnu.org; Wed, 28 Nov 2012 19:08:48 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:34095)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1TdrgL-0004uW-5p
	for 12988 <at> debbugs.gnu.org; Wed, 28 Nov 2012 19:08:46 -0500
Received: from ucsinet21.oracle.com (ucsinet21.oracle.com [156.151.31.93])
	by userp1040.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id qAT06k2h019217
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Thu, 29 Nov 2012 00:06:47 GMT
Received: from acsmt356.oracle.com (acsmt356.oracle.com [141.146.40.156])
	by ucsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	qAT06jgU026465
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Thu, 29 Nov 2012 00:06:45 GMT
Received: from abhmt118.oracle.com (abhmt118.oracle.com [141.146.116.70])
	by acsmt356.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	qAT06iZg028044; Wed, 28 Nov 2012 18:06:44 -0600
Received: from dradamslap1 (/130.35.178.8)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Wed, 28 Nov 2012 16:06:44 -0800
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Juri Linkov'" <juri@HIDDEN>
References: <1353809123.37107.YahooMailClassic@HIDDEN><87ip8u6m77.fsf@HIDDEN><0DE2FE5504D24DB884020513B403F9C4@HIDDEN>
	<871ufdiaup.fsf@HIDDEN>
Subject: RE: [PATCH] RE: bug#12988: isearch fails to persistently indicate
	case sensitivity
Date: Wed, 28 Nov 2012 16:06:42 -0800
Message-ID: <4EF04423864F4A009C7B1CFAE5C53AD5@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <871ufdiaup.fsf@HIDDEN>
Thread-Index: Ac3NwFxTlTkNrrEkQJWrPlHNkKdJsAAACBkQ
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: ucsinet21.oracle.com [156.151.31.93]
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 12988
Cc: 'Kelly Dean' <kellydeanch@HIDDEN>, 12988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

> > I think I've mentioned this way before, but perhaps not: In 
> > Isearch+, the mode-line lighter makes clear (continually)
> > whether searching is currently case-sensitive.  Vanilla Emacs
> > could do likewise.
> >
> >  When   case-sensitive, the lighter is `Isearch'.
> >  When case-insensitive, the lighter is `ISEARCH'.
> 
> Clever trick, but not obvious without knowing what does it mean.

I hear you, and Stefan said the same thing.  I think it doesn't take someone
long to figure it out, even with no explanation.  Once you know about it you
look there, but yes, until you do you are not in the habit of looking there.

In Icicles, I use it also to indicate case sensitivity during completion.  So
users see the convention in two places, which reinforces it.

> We need indication for other isearch parameters too,
> e.g. for `isearch-lax-whitespace'.  Do you think
> it would be equally clever to display `I s e a r c h'
> to indicate lax-whitespace mode ;-)

I doubt it.  And I'm not sure that all isearch parameters are created equal. ;-)

On the other hand, I might be persuaded that `I search' vs `Isearch' would not
be too bad, especially if the ` ' were highlighted. ;-)

So in that case:

 Isearch    - case sensitive,   strict whitespace
 ISEARCH    - case insensitive, strict whitespace
 I search   - case sensitive,   lax    whitespace
 I SEARCH   - case insensitive, lax    whitespace

Not too bad for a few chars.

I suggest picking only those isearch parameters that users need most to be aware
of, and if an easy means suggests itself to you for making them aware of those,
then use it.  And it need not be the same mechanism for each indication.

In Icicles, as another example, the minor-mode lighter, `Icy', (optionally)
shows several things at once:

* availability of completion: lighter colored red
* whether completion is lax or strict: overline+underline for strict
* case-sensitivity, as mentioned: Icy or ICY
* whether current command is a multi-command (`+' appended): Icy+
* whether candidates are multi-completions (`||' appended): Icy||
* whether set of cands shown is truncated (`...' appended): Icy...

So you see that in the case of Icicles completion a lot of info is packed into a
few chars of the modeline, in a small field intended anyway to convey info about
this minor mode.

Users are generally quick to discover things, even without reading doc.  Just by
noticing what these symbols seem to correspond to in action, it is pretty easy
to catch on after a while.  And I would suggest that the `Icy' vs `ICY' meaning
is the easiest indicator to guess.

I would certainly argue that `Isearch' vs `ISEARCH' is clearer that what Stefan
proposed as an alternative:

SM> An obvious choice is to use the same letter as the one used
SM> for the corresponding key-binding, e.g. "Isearch/r/c:".

That encoding is NOT obvious to users, IMHO.  But as with all such smoke
signals, eventually some users would figure that one out also.

That said, I would agree, if someone made the remark that if we use the
mode-line lighter to indicate some isearch state, that means that users have two
places to look for state info, and a priori, looking in two places is harder
than looking in one.

A (weak) answer is that if the info conveyed is different in the two places,
it's not so bad - e.g., case-sensitivity in the lighter, mode (regexp/simple) in
the prompt.  But in absolute terms, yes, looking in only one place for all info
is generally better.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 28 Nov 2012 23:32:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 28 18:32:32 2012
Received: from localhost ([127.0.0.1]:44249 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tdr7H-000443-QW
	for submit <at> debbugs.gnu.org; Wed, 28 Nov 2012 18:32:32 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:36188
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1Tdr7E-00043p-2Y
	for 12988 <at> debbugs.gnu.org; Wed, 28 Nov 2012 18:32:28 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 2D871451C58E;
	Wed, 28 Nov 2012 15:30:29 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: [PATCH] RE: bug#12988: isearch fails to persistently indicate
	case sensitivity
Organization: JURTA
References: <1353809123.37107.YahooMailClassic@HIDDEN>
	<87ip8u6m77.fsf@HIDDEN>
	<0DE2FE5504D24DB884020513B403F9C4@HIDDEN>
Date: Thu, 29 Nov 2012 01:19:00 +0200
In-Reply-To: <0DE2FE5504D24DB884020513B403F9C4@HIDDEN> (Drew Adams's
	message of "Sun, 25 Nov 2012 09:55:07 -0800")
Message-ID: <871ufdiaup.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 12988
Cc: 'Kelly Dean' <kellydeanch@HIDDEN>, 12988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

> I think I've mentioned this way before, but perhaps not: In Isearch+, the
> mode-line lighter makes clear (continually) whether searching is currently
> case-sensitive.  Vanilla Emacs could do likewise.
>
>  When   case-sensitive, the lighter is `Isearch'.
>  When case-insensitive, the lighter is `ISEARCH'.

Clever trick, but not obvious without knowing what does it mean.

We need indication for other isearch parameters too,
e.g. for `isearch-lax-whitespace'.  Do you think
it would be equally clever to display `I s e a r c h'
to indicate lax-whitespace mode ;-)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 25 Nov 2012 18:04:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 25 13:04:20 2012
Received: from localhost ([127.0.0.1]:38450 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TcgYy-00068D-JK
	for submit <at> debbugs.gnu.org; Sun, 25 Nov 2012 13:04:20 -0500
Received: from aserp1040.oracle.com ([141.146.126.69]:42523)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1TcgYr-00067y-JD
	for 12988 <at> debbugs.gnu.org; Sun, 25 Nov 2012 13:04:13 -0500
Received: from acsinet22.oracle.com (acsinet22.oracle.com [141.146.126.238])
	by aserp1040.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id qAPI2TG2009843
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Sun, 25 Nov 2012 18:02:30 GMT
Received: from acsmt356.oracle.com (acsmt356.oracle.com [141.146.40.156])
	by acsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	qAPI2QbF027027
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Sun, 25 Nov 2012 18:02:26 GMT
Received: from abhmt107.oracle.com (abhmt107.oracle.com [141.146.116.59])
	by acsmt356.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	qAPI2Pcv024572; Sun, 25 Nov 2012 12:02:26 -0600
Received: from dradamslap1 (/71.202.147.44)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Sun, 25 Nov 2012 10:02:25 -0800
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Juri Linkov'" <juri@HIDDEN>, "'Kelly Dean'" <kellydeanch@HIDDEN>
References: <1353809123.37107.YahooMailClassic@HIDDEN><87ip8u6m77.fsf@HIDDEN>
	<0DE2FE5504D24DB884020513B403F9C4@HIDDEN>
Subject: RE: bug#12988: [PATCH] RE: bug#12988: isearch fails to
	persistentlyindicate case sensitivity
Date: Sun, 25 Nov 2012 10:02:14 -0800
Message-ID: <D6EEBD93EE014D4B8AFE645522CCD4B4@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <0DE2FE5504D24DB884020513B403F9C4@HIDDEN>
Thread-Index: Ac3K80lYVvhkKAjnS3qH2oOWSNcFlwAMVXrgAAR/tuA=
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: acsinet22.oracle.com [141.146.126.238]
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 12988
Cc: 12988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

> I think I've mentioned this way before, but perhaps not:

Yes, I did.  I couldn't find any mention in the bugs list, but I mentioned it in
emacs-devel over a year ago.  And I even included the source code.  This was
Stefan's reply:

http://lists.gnu.org/archive/html/emacs-devel/2011-07/msg00475.html





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 25 Nov 2012 17:57:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 25 12:57:10 2012
Received: from localhost ([127.0.0.1]:38442 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TcgS1-0005xO-Ja
	for submit <at> debbugs.gnu.org; Sun, 25 Nov 2012 12:57:09 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:37187)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1TcgRv-0005ww-In
	for 12988 <at> debbugs.gnu.org; Sun, 25 Nov 2012 12:57:04 -0500
Received: from ucsinet22.oracle.com (ucsinet22.oracle.com [156.151.31.94])
	by userp1040.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id qAPHtJGP021970
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Sun, 25 Nov 2012 17:55:20 GMT
Received: from acsmt356.oracle.com (acsmt356.oracle.com [141.146.40.156])
	by ucsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	qAPHtJ0s026589
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Sun, 25 Nov 2012 17:55:19 GMT
Received: from abhmt108.oracle.com (abhmt108.oracle.com [141.146.116.60])
	by acsmt356.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	qAPHtI5E021992; Sun, 25 Nov 2012 11:55:19 -0600
Received: from dradamslap1 (/71.202.147.44)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Sun, 25 Nov 2012 09:55:18 -0800
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Juri Linkov'" <juri@HIDDEN>, "'Kelly Dean'" <kellydeanch@HIDDEN>
References: <1353809123.37107.YahooMailClassic@HIDDEN>
	<87ip8u6m77.fsf@HIDDEN>
Subject: [PATCH] RE: bug#12988: isearch fails to persistently indicate case
	sensitivity
Date: Sun, 25 Nov 2012 09:55:07 -0800
Message-ID: <0DE2FE5504D24DB884020513B403F9C4@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <87ip8u6m77.fsf@HIDDEN>
Thread-Index: Ac3K80lYVvhkKAjnS3qH2oOWSNcFlwAMVXrg
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: ucsinet22.oracle.com [156.151.31.94]
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 12988
Cc: 12988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

> > But if instead you do M-c, the minibuffer just momentarily flashes
> > a case sensitivity indicator, then gives no indication of case
> > sensitivity status while you type your search string.
> 
> Adding "case-sensitive" to the search prompt would make it too long.
> adding a shorter abbreviation like "cs" would make it too cryptic.

This is not an unsolvable problem.  There is probably more than one reasonable
way to solve it.

I think I've mentioned this way before, but perhaps not: In Isearch+, the
mode-line lighter makes clear (continually) whether searching is currently
case-sensitive.  Vanilla Emacs could do likewise.

 When   case-sensitive, the lighter is `Isearch'.
 When case-insensitive, the lighter is `ISEARCH'.

This is one simple way to make things clear to users.
It requires no extra space anywhere.

Here is a simplified version of the code I use.  (In Isearch+, the lighter also
indicates by its face whether search is wrapped - that is not done here.)  This
code should be usable by vanilla Isearch.

(defun isearch-highlight-lighter ()
  "Update minor-mode mode-line lighter to reflect case sensitivity."
  (let ((case-fold-search  isearch-case-fold-search))
    (when (and (eq case-fold-search t)  search-upper-case)
      (setq case-fold-search  
            (isearch-no-upper-case-p isearch-string isearch-regexp)))
    ;; Vanilla Isearch uses `isearch-mode', hence the first of these.
    (setq minor-mode-alist
          (delete '(isearch-mode isearch-mode) minor-mode-alist)
          minor-mode-alist
          (delete '(isearch-mode " ISEARCH")   minor-mode-alist)
          minor-mode-alist
          (delete '(isearch-mode " Isearch")   minor-mode-alist))
    (let ((lighter  (if case-fold-search " ISEARCH" " Isearch")))
      (add-to-list 'minor-mode-alist `(isearch-mode ,lighter))))
  (condition-case nil (redisplay t) (error nil)))

(add-hook 'isearch-update-post-hook 'isearch-highlight-lighter)

(defun isearch-toggle-case-fold ()
  "Toggle case folding in searching on or off."
  (interactive)
  (setq isearch-case-fold-search
        (if isearch-case-fold-search nil 'yes)
        isearch-success   t
        isearch-adjusted  t)
  (isearch-highlight-lighter)
  (let ((message-log-max  nil))
    (message "%s%s [case %ssensitive]"
             (isearch-message-prefix nil isearch-nonincremental)
	     isearch-message (if isearch-case-fold-search "in" "")))
  (sit-for 1)
  (isearch-update))

However, I notice that, from `emacs -Q' and this code, with an empty search
string the lighter does not change until you type something.  And (regardless of
the search string) the lighter does not change until after the delay for showing
the "case-[in]sensitive" message.

Neither of those problems exists for Isearch+.  I don't have the time to dig
into why they happen for vanilla Isearch.  If you are interested, the Isearch+
code is here.  Clearly something else in that code prevents these two minor
problems.
http://www.emacswiki.org/emacs-en/download/isearch%2b.el

HTH.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at 12988 <at> debbugs.gnu.org:


Received: (at 12988) by debbugs.gnu.org; 25 Nov 2012 09:58:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 25 04:58:41 2012
Received: from localhost ([127.0.0.1]:37499 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TcYz3-0001W1-9P
	for submit <at> debbugs.gnu.org; Sun, 25 Nov 2012 04:58:41 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:48304
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1TcYz0-0001Vu-ST
	for 12988 <at> debbugs.gnu.org; Sun, 25 Nov 2012 04:58:39 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 4CB7B451E18A;
	Sun, 25 Nov 2012 01:57:01 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Kelly Dean <kellydeanch@HIDDEN>
Subject: Re: bug#12988: isearch fails to persistently indicate case sensitivity
Organization: JURTA
References: <1353809123.37107.YahooMailClassic@HIDDEN>
Date: Sun, 25 Nov 2012 11:54:10 +0200
In-Reply-To: <1353809123.37107.YahooMailClassic@HIDDEN>
	(Kelly Dean's message of "Sat, 24 Nov 2012 18:05:23 -0800 (PST)")
Message-ID: <87ip8u6m77.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 12988
Cc: 12988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

> This is a UI improvement suggestion, not a bug report.
> Using 24.2, do: C-s
> Then, if you do M-s w, then type a search string, the minibuffer
> continues to indicate word mode while you type your string. That's good.
> But if instead you do M-c, the minibuffer just momentarily flashes
> a case sensitivity indicator, then gives no indication of case
> sensitivity status while you type your search string.

Adding "case-sensitive" to the search prompt would make it too long.
adding a shorter abbreviation like "cs" would make it too cryptic.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Nov 2012 02:07:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 24 21:07:04 2012
Received: from localhost ([127.0.0.1]:37182 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TcRcd-0005jg-OH
	for submit <at> debbugs.gnu.org; Sat, 24 Nov 2012 21:07:03 -0500
Received: from eggs.gnu.org ([208.118.235.92]:53686)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <kellydeanch@HIDDEN>) id 1TcRcb-0005jQ-Oo
	for submit <at> debbugs.gnu.org; Sat, 24 Nov 2012 21:07:02 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <kellydeanch@HIDDEN>) id 1TcRb4-0004qS-6x
	for submit <at> debbugs.gnu.org; Sat, 24 Nov 2012 21:05:27 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.5 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_HI, RCVD_IN_XBL,
	T_DKIM_INVALID autolearn=ham version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:39985)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <kellydeanch@HIDDEN>) id 1TcRb4-0004qO-3w
	for submit <at> debbugs.gnu.org; Sat, 24 Nov 2012 21:05:26 -0500
Received: from eggs.gnu.org ([208.118.235.92]:59111)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <kellydeanch@HIDDEN>) id 1TcRb3-0000u5-9e
	for bug-gnu-emacs@HIDDEN; Sat, 24 Nov 2012 21:05:26 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <kellydeanch@HIDDEN>) id 1TcRb2-0004qB-Jj
	for bug-gnu-emacs@HIDDEN; Sat, 24 Nov 2012 21:05:25 -0500
Received: from nm16-vm0.bullet.mail.bf1.yahoo.com ([98.139.212.253]:36845)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <kellydeanch@HIDDEN>) id 1TcRb2-0004q7-Dn
	for bug-gnu-emacs@HIDDEN; Sat, 24 Nov 2012 21:05:24 -0500
Received: from [98.139.212.144] by nm16.bullet.mail.bf1.yahoo.com with NNFMP;
	25 Nov 2012 02:05:24 -0000
Received: from [98.139.212.196] by tm1.bullet.mail.bf1.yahoo.com with NNFMP;
	25 Nov 2012 02:05:24 -0000
Received: from [127.0.0.1] by omp1005.mail.bf1.yahoo.com with NNFMP;
	25 Nov 2012 02:05:24 -0000
X-Yahoo-Newman-Property: ymail-3
X-Yahoo-Newman-Id: 1512.18690.bm@HIDDEN
Received: (qmail 58019 invoked by uid 60001); 25 Nov 2012 02:05:23 -0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s1024;
	t=1353809123; bh=vd56FIsBVXkMB2v7chLlvysrvumdYOvBi85D1z9fH7A=;
	h=X-YMail-OSG:Received:X-Rocket-MIMEInfo:X-Mailer:Message-ID:Date:From:Subject:To:MIME-Version:Content-Type;
	b=z2iPzi5n2nyGrjdbBHFTsNbQ2eoeeb3pRy5f5+q/rJI+RhF0MyzXePa8WTgdHbXp9i4jWCBv4G5dhU21cRDildQJP1b8j8g+NuO+kqK+Et4MgpyE+xSp6kciH5n5r3hWwO+WhX/WHMj4Po59IVt71GBNZaohBzZIe7FT5QMZR7c=
DomainKey-Signature: a=rsa-sha1; q=dns; c=nofws; s=s1024; d=yahoo.com;
	h=X-YMail-OSG:Received:X-Rocket-MIMEInfo:X-Mailer:Message-ID:Date:From:Subject:To:MIME-Version:Content-Type;
	b=F4MxSTOC0n4/KNUtP001QyK3cDRKxfUwdzAUl0NY5DS7rt4LyehlBwnZ5wTtdJ61rVM0zAChsOQtHoUh1ULSIlU/HQcIMSxKaIrMFLMBGzFY3+ncceCSbdGR+exMqLIIKwDEsJogOxKWq3ZtthpA6f2350BQtEVB3HewcCcRb/0=;
X-YMail-OSG: SXH3lrYVM1nuiDZzLT5MBy8ilRgz.I_zsvt5dwOZ8ayWvNA
	MDXD.0HMaQttgwmwbRBaLwPPa6PwOOl9cJYQ5hE5VpFe0Afgw0ZEc9VHVkEb
	1BFJM643DXnH9eKNIjMoqrXcLpwH7b3EmukeWuneSkAtbm4QsfX_YXE5uhEi
	J3p9IEcdJlLxKMbsjulqD3QizjbuefOLVgNlBm0vqYlUh.Qy7lHvZwnyKaxa
	50OcJoSYKCc6HdQmioMGBFha_j2ywL1xuNxHrh1Pvp_4tV4t2LSP1OVanTA3
	OEa2QnJYXPmH190JfeyKpO._Xt_Y0I6hkjTCOIhPWeJTyjYohf1L24kuY8sA
	.xCXqBOrDYct92itU.WLy1MFrQ1aQtGGtGv64cjYZGsG5w_hbho_77Vnj0mh
	GIllsSgevEOpbKDnDqtXiZ2BHTVuwZvqnI0cSY5Mop0Q_
Received: from [165.254.32.192] by web141102.mail.bf1.yahoo.com via HTTP;
	Sat, 24 Nov 2012 18:05:23 PST
X-Rocket-MIMEInfo: 001.001,
	VGhpcyBpcyBhIFVJIGltcHJvdmVtZW50IHN1Z2dlc3Rpb24sIG5vdCBhIGJ1ZyByZXBvcnQuClVzaW5nIDI0LjIsIGRvOiBDLXMKVGhlbiwgaWYgeW91IGRvIE0tcyB3LCB0aGVuIHR5cGUgYSBzZWFyY2ggc3RyaW5nLCB0aGUgbWluaWJ1ZmZlciBjb250aW51ZXMgdG8gaW5kaWNhdGUgd29yZCBtb2RlIHdoaWxlIHlvdSB0eXBlIHlvdXIgc3RyaW5nLiBUaGF0J3MgZ29vZC4KQnV0IGlmIGluc3RlYWQgeW91IGRvIE0tYywgdGhlIG1pbmlidWZmZXIganVzdCBtb21lbnRhcmlseSBmbGFzaGVzIGEgY2FzZSBzZW4BMAEBAQE-
X-Mailer: YahooMailClassic/15.0.8 YahooMailWebService/0.8.123.460
Message-ID: <1353809123.37107.YahooMailClassic@HIDDEN>
Date: Sat, 24 Nov 2012 18:05:23 -0800 (PST)
From: Kelly Dean <kellydeanch@HIDDEN>
Subject: isearch fails to persistently indicate case sensitivity
To: bug-gnu-emacs@HIDDEN
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-detected-operating-system: by eggs.gnu.org: FreeBSD 8.x
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

This is a UI improvement suggestion, not a bug report.
Using 24.2, do: C-s
Then, if you do M-s w, then type a search string, the minibuffer continues to indicate word mode while you type your string. That's good.
But if instead you do M-c, the minibuffer just momentarily flashes a case sensitivity indicator, then gives no indication of case sensitivity status while you type your search string.





Acknowledgement sent to Kelly Dean <kellydeanch@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#12988; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.